Index: /trunk/admin/intro.php
===================================================================
--- /trunk/admin/intro.php	(revision 14976)
+++ /trunk/admin/intro.php	(revision 14977)
@@ -204,7 +204,7 @@
       l10n_dec('%d album including', '%d albums including',
         $nb_categories).
-      l10n_dec('%d physical', '%d physical',
+      l10n_dec('%d physical', '%d physicals',
         $nb_physical).
-      l10n_dec(' and %d virtual', ' and %d virtual',
+      l10n_dec(' and %d virtual', ' and %d virtuals',
         $nb_virtual),
     'DB_IMAGE_CATEGORY' => l10n_dec('%d association', '%d associations', $nb_image_category),
Index: /trunk/language/ar_SA/admin.lang.php
===================================================================
--- /trunk/language/ar_SA/admin.lang.php	(revision 14976)
+++ /trunk/language/ar_SA/admin.lang.php	(revision 14977)
@@ -26,8 +26,6 @@
 $lang['%d album including'] = '%d ألبوم متضمن ';
 $lang['%d albums including'] = '%d ألبومات متضامنه ';
-$lang['%d physical'] = '%d طبيعين';
 $lang['%d physical'] = '%d طبيعي';
 $lang[' and %d virtual'] = ' و %d افتراضي';
-$lang[' and %d virtual'] = ' و %d أفترضي';
 $lang['%d album moved'] = '%d نقل الألبوم';
 $lang['%d albums moved'] = '%d نقل الألبومات';
Index: /trunk/language/ca_ES/admin.lang.php
===================================================================
--- /trunk/language/ca_ES/admin.lang.php	(revision 14976)
+++ /trunk/language/ca_ES/admin.lang.php	(revision 14977)
@@ -27,7 +27,7 @@
 $lang['%d albums including'] = '%d àlbums inclosos. ';
 $lang['%d physical'] = '%d física';
-$lang['%d physical'] = '%d físics';
+$lang['%d physicals'] = '%d físics';
 $lang[' and %d virtual'] = ' i %d virtual';
-$lang[' and %d virtual'] = ' i %d virtuals';
+$lang[' and %d virtuals'] = ' i %d virtuals';
 $lang['%d album moved'] = '%d àlbum mogut';
 $lang['%d albums moved'] = '%d àlbums moguts';
Index: /trunk/language/cs_CZ/admin.lang.php
===================================================================
--- /trunk/language/cs_CZ/admin.lang.php	(revision 14976)
+++ /trunk/language/cs_CZ/admin.lang.php	(revision 14977)
@@ -30,7 +30,7 @@
 $lang['%d albums including'] = '%d alb';
 $lang['%d physical'] = '%d fyzický';
-$lang['%d physical'] = '%d fyzických';
+$lang['%d physicals'] = '%d fyzických';
 $lang[' and %d virtual'] = 'a %d virtuální';
-$lang[' and %d virtual'] = 'a %d virtuálních';
+$lang[' and %d virtuals'] = 'a %d virtuálních';
 $lang['%d album moved'] = '%d album přesunuto';
 $lang['%d albums moved'] = '%d alb přesunuto';
Index: /trunk/language/da_DK/admin.lang.php
===================================================================
--- /trunk/language/da_DK/admin.lang.php	(revision 14976)
+++ /trunk/language/da_DK/admin.lang.php	(revision 14977)
@@ -29,6 +29,4 @@
 $lang['%d albums including'] = '%d kategorier inklusiv';
 $lang['%d physical'] = '%d Fysisk';
-$lang['%d physical'] = '%d Fysisk';
-$lang[' and %d virtual'] = ' Og  %d virtuel';
 $lang[' and %d virtual'] = ' Og  %d virtuel';
 $lang['%d album moved'] = '%d kategori flyttet';
Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 14976)
+++ /trunk/language/de_DE/admin.lang.php	(revision 14977)
@@ -27,7 +27,7 @@
 $lang['%d albums including'] = '%d Alben inbegriffen, ';
 $lang['%d physical'] = 'davon %d physisch';
-$lang['%d physical'] = 'davon %d physische';
+$lang['%d physicals'] = 'davon %d physische';
 $lang[' and %d virtual'] = ' und %d virtuell';
-$lang[' and %d virtual'] = ' und %d virtuelle';
+$lang[' and %d virtuals'] = ' und %d virtuelle';
 $lang['%d album moved'] = '%d Album verschoben';
 $lang['%d albums moved'] = '%d Alben verschoben';
Index: /trunk/language/dv_MV/common.lang.php
===================================================================
--- /trunk/language/dv_MV/common.lang.php	(revision 14976)
+++ /trunk/language/dv_MV/common.lang.php	(revision 14977)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /trunk/language/el_GR/admin.lang.php
===================================================================
--- /trunk/language/el_GR/admin.lang.php	(revision 14976)
+++ /trunk/language/el_GR/admin.lang.php	(revision 14977)
@@ -27,5 +27,5 @@
 
 $lang[' and %d virtual'] = " και %d εικονικό";
-$lang[' and %d virtual'] = " και %d εικονικά";
+$lang[' and %d virtuals'] = " και %d εικονικά";
 $lang['%d album including'] = "%d λεύκωμα περιλαμβάνει";
 $lang['%d album moved'] = "%d λεύκωμα μετακινήθηκε";
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 14976)
+++ /trunk/language/en_UK/admin.lang.php	(revision 14977)
@@ -25,5 +25,5 @@
 
 $lang[' and %d virtual'] = " and %d virtual";
-$lang[' and %d virtual'] = " and %d virtual";
+$lang[' and %d virtuals'] = " and %d virtual";
 $lang['%d album including'] = "%d album including";
 $lang['%d album moved'] = "%d album moved";
@@ -59,5 +59,5 @@
 $lang['%d photos were deleted'] = "%d photos deleted";
 $lang['%d physical'] = " %d physical";
-$lang['%d physical'] = " %d physical";
+$lang['%d physicals'] = " %d physical";
 $lang['%d tag'] = "%d tag";
 $lang['%d tags'] = "%d tags";
Index: /trunk/language/es_ES/admin.lang.php
===================================================================
--- /trunk/language/es_ES/admin.lang.php	(revision 14976)
+++ /trunk/language/es_ES/admin.lang.php	(revision 14977)
@@ -27,7 +27,7 @@
 $lang['%d albums including'] = '%d incluidos en los álbumes';
 $lang['%d physical'] = '%d físico';
-$lang['%d physical'] = '%d físicos';
+$lang['%d physicals'] = '%d físicos';
 $lang[' and %d virtual'] = ' y %d virtuales.';
-$lang[' and %d virtual'] = ' et %d virtuales';
+$lang[' and %d virtuals'] = ' et %d virtuales';
 $lang['%d album moved'] = '%d álbum movido';
 $lang['%d albums moved'] = '%d álbumes movidos';
Index: /trunk/language/fa_IR/admin.lang.php
===================================================================
--- /trunk/language/fa_IR/admin.lang.php	(revision 14976)
+++ /trunk/language/fa_IR/admin.lang.php	(revision 14977)
@@ -29,7 +29,5 @@
 $lang['%d albums including'] = '%d آلبوم ضمیمه شدند';
 $lang['%d physical'] = ' %d فیزیکی';
-$lang['%d physical'] = " %d فيزيکي";
 $lang[' and %d virtual'] = ' و %d مجازی';
-$lang[' and %d virtual'] = " و %d مجازي";
 $lang['%d album moved'] = '%d آلبوم جابجا شد';
 $lang['%d albums moved'] = '%d آلبوم جابجا شدند';
Index: /trunk/language/fr_CA/admin.lang.php
===================================================================
--- /trunk/language/fr_CA/admin.lang.php	(revision 14976)
+++ /trunk/language/fr_CA/admin.lang.php	(revision 14977)
@@ -29,7 +29,7 @@
 $lang['%d albums including'] = "%d catégories dont";
 $lang['%d physical'] = " %d physique";
-$lang['%d physical'] = " %d physiques";
+$lang['%d physicals'] = " %d physiques";
 $lang[' and %d virtual'] = " et %d virtuelle";
-$lang[' and %d virtual'] = " et %d virtuelles";
+$lang[' and %d virtuals'] = " et %d virtuelles";
 $lang['%d album moved'] = "%d catégorie déplacée";
 $lang['%d albums moved'] = "%d catégories déplacées";
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 14976)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 14977)
@@ -29,7 +29,7 @@
 $lang['%d albums including'] = '%d albums dont';
 $lang['%d physical'] = " %d physique";
-$lang['%d physical'] = " %d physiques";
+$lang['%d physicals'] = " %d physiques";
 $lang[' and %d virtual'] = " et %d virtuel";
-$lang[' and %d virtual'] = " et %d virtuels";
+$lang[' and %d virtuals'] = " et %d virtuels";
 $lang['%d album moved'] = '%d album déplacé';
 $lang['%d albums moved'] = '%d albums déplacés';
Index: /trunk/language/he_IL/admin.lang.php
===================================================================
--- /trunk/language/he_IL/admin.lang.php	(revision 14976)
+++ /trunk/language/he_IL/admin.lang.php	(revision 14977)
@@ -27,7 +27,5 @@
 $lang['%d albums including'] = 'כולל הקטגוריות %d';
 $lang['%d physical'] = 'פיזי %d';
-$lang['%d physical'] = 'פיזי %d';
 $lang[' and %d virtual'] = 'ו %d וירטואלי';
-$lang[' and %d virtual'] = 'ו %d וירטואלים';
 $lang['%d album moved'] = '%d קטגוריה עברה';
 $lang['%d albums moved'] = '%d קטגוריות עברו';
Index: /trunk/language/hr_HR/admin.lang.php
===================================================================
--- /trunk/language/hr_HR/admin.lang.php	(revision 14976)
+++ /trunk/language/hr_HR/admin.lang.php	(revision 14977)
@@ -27,7 +27,7 @@
 $lang['%d albums including'] = '%d skupine obuhvata ';
 $lang['%d physical'] = '%d stvarna';
-$lang['%d physical'] = '%d stvarnih';
+$lang['%d physicals'] = '%d stvarnih';
 $lang[' and %d virtual'] = ' i %d nestvrana';
-$lang[' and %d virtual'] = ' i %d nestvarnih';
+$lang[' and %d virtuals'] = ' i %d nestvarnih';
 $lang['%d album moved'] = '%d skupina premještena';
 $lang['%d albums moved'] = '%d skupina premješteno';
Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 14976)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 14977)
@@ -27,6 +27,4 @@
 $lang['%d albums including'] = '%d album ';
 $lang['%d physical'] = '%d fizikai';
-$lang['%d physical'] = '%d fizikai';
-$lang[' and %d virtual'] = ' és %d virtuális';
 $lang[' and %d virtual'] = ' és %d virtuális';
 $lang['%d album moved'] = '%d Album áthelyezése';
Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 14976)
+++ /trunk/language/it_IT/admin.lang.php	(revision 14977)
@@ -29,7 +29,7 @@
 $lang['%d albums including'] = '%d album inclusi';
 $lang['%d physical'] = '%d fisico';
-$lang['%d physical'] = '%d fisici';
+$lang['%d physicals'] = '%d fisici';
 $lang[' and %d virtual'] = ' e %d virtuale';
-$lang[' and %d virtual'] = ' e %d virtuali';
+$lang[' and %d virtuals'] = ' e %d virtuali';
 $lang['%d album moved'] = '%d album spostato';
 $lang['%d albums moved'] = '%d album spostati';
Index: /trunk/language/ja_JP/admin.lang.php
===================================================================
--- /trunk/language/ja_JP/admin.lang.php	(revision 14976)
+++ /trunk/language/ja_JP/admin.lang.php	(revision 14977)
@@ -1,9 +1,32 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
 $lang['%d associations'] = '関連:%d';
 $lang['%d album including'] = 'カテゴリ:%d  - ';
 $lang['%d albums including'] = 'カテゴリ:%d  - ';
 $lang['%d physical'] = '物理ディレクトリ:%d ';
-$lang['%d physical'] = '物理ディレクトリ:%d ';
+$lang['%d physicals'] = '物理ディレクトリ:%d ';
 $lang[' and %d virtual'] = 'バーチャルディレクトリ:%d ';
-$lang[' and %d virtual'] = 'バーチャルディレクトリ:%d ';
+$lang[' and %d virtuals'] = 'バーチャルディレクトリ:%d ';
 $lang['%d album moved'] = '%d 件のカテゴリが移動されました。';
 $lang['%d albums moved'] = '%d 件のカテゴリが移動されました。';
Index: /trunk/language/ka_GE/admin.lang.php
===================================================================
--- /trunk/language/ka_GE/admin.lang.php	(revision 14976)
+++ /trunk/language/ka_GE/admin.lang.php	(revision 14977)
@@ -27,7 +27,7 @@
 $lang['%d albums including'] = 'დამატებული კატეგორიები: %d';
 $lang['%d physical'] = '%d რეალური';
-$lang['%d physical'] = '%d რეალური';
+$lang['%d physicals'] = '%d რეალური';
 $lang[' and %d virtual'] = ' და %d ვირტუალური';
-$lang[' and %d virtual'] = ' და %d ვირტუალური';
+$lang[' and %d virtuals'] = ' და %d ვირტუალური';
 $lang['%d album moved'] = '%d კატეგორია გადატანილია';
 $lang['%d albums moved'] = '%d კატეგორია გადატანილია';
Index: /trunk/language/nl_NL/admin.lang.php
===================================================================
--- /trunk/language/nl_NL/admin.lang.php	(revision 14976)
+++ /trunk/language/nl_NL/admin.lang.php	(revision 14977)
@@ -27,6 +27,4 @@
 $lang['%d albums including'] = '%d categorieën waarvan ';
 $lang['%d physical'] = '%d fysiek';
-$lang['%d physical'] = '%d fysiek';
-$lang[' and %d virtual'] = ' en %d virtueel';
 $lang[' and %d virtual'] = ' en %d virtueel';
 $lang['%d album moved'] = '%d categorie verplaatst';
Index: /trunk/language/pl_PL/admin.lang.php
===================================================================
--- /trunk/language/pl_PL/admin.lang.php	(revision 14976)
+++ /trunk/language/pl_PL/admin.lang.php	(revision 14977)
@@ -27,6 +27,4 @@
 $lang['%d albums including'] = '%d albumy zawierające';
 $lang['%d physical'] = '%d fizycznie';
-$lang['%d physical'] = '%d fizycznie';
-$lang[' and %d virtual'] = ' i %d wirtualnie';
 $lang[' and %d virtual'] = ' i %d wirtualnie';
 $lang['%d album moved'] = '%d album przeniesiony';
Index: /trunk/language/pt_BR/admin.lang.php
===================================================================
--- /trunk/language/pt_BR/admin.lang.php	(revision 14976)
+++ /trunk/language/pt_BR/admin.lang.php	(revision 14977)
@@ -27,6 +27,4 @@
 $lang['%d albums including'] = '%d categorias incluídas ';
 $lang['%d physical'] = '%d físico';
-$lang['%d physical'] = '%d físico';
-$lang[' and %d virtual'] = ' e %d virtual';
 $lang[' and %d virtual'] = ' e %d virtual';
 $lang['%d album moved'] = '%d categoria movida';
Index: /trunk/language/pt_PT/admin.lang.php
===================================================================
--- /trunk/language/pt_PT/admin.lang.php	(revision 14976)
+++ /trunk/language/pt_PT/admin.lang.php	(revision 14977)
@@ -27,7 +27,7 @@
 $lang['%d albums including'] = '%d albums incluídos ';
 $lang['%d physical'] = '%d físico';
-$lang['%d physical'] = '%d físicos';
+$lang['%d physicals'] = '%d físicos';
 $lang[' and %d virtual'] = ' e %d virtual';
-$lang[' and %d virtual'] = ' e %d virtuais';
+$lang[' and %d virtuals'] = ' e %d virtuais';
 $lang['%d album moved'] = '%do album movido';
 $lang['%d albums moved'] = '%d albums movidos';
Index: /trunk/language/ru_RU/admin.lang.php
===================================================================
--- /trunk/language/ru_RU/admin.lang.php	(revision 14976)
+++ /trunk/language/ru_RU/admin.lang.php	(revision 14977)
@@ -27,6 +27,4 @@
 $lang['%d albums including'] = '%d альбомов включают ';
 $lang['%d physical'] = '%d реальная';
-$lang['%d physical'] = '%d реальных';
-$lang[' and %d virtual'] = ' и %d виртуальная';
 $lang[' and %d virtual'] = ' и %d виртуальных';
 $lang['%d album moved'] = '%d альбом перемещен';
Index: /trunk/language/sh_RS/admin.lang.php
===================================================================
--- /trunk/language/sh_RS/admin.lang.php	(revision 14976)
+++ /trunk/language/sh_RS/admin.lang.php	(revision 14977)
@@ -27,7 +27,7 @@
 $lang['%d albums including'] = '%d kategorije obuhvataju ';
 $lang['%d physical'] = '%d stvarna';
-$lang['%d physical'] = '%d stvarnih';
+$lang['%d physicals'] = '%d stvarnih';
 $lang[' and %d virtual'] = ' i %d virtualna';
-$lang[' and %d virtual'] = ' i %d virtualnih';
+$lang[' and %d virtuals'] = ' i %d virtualnih';
 $lang['%d album moved'] = '%d kategorija premeštena';
 $lang['%d albums moved'] = '%d kategorija premešteno';
Index: /trunk/language/sr_RS/admin.lang.php
===================================================================
--- /trunk/language/sr_RS/admin.lang.php	(revision 14976)
+++ /trunk/language/sr_RS/admin.lang.php	(revision 14977)
@@ -27,7 +27,7 @@
 $lang['%d albums including'] = '%d категорије обухватају ';
 $lang['%d physical'] = '%d стварна';
-$lang['%d physical'] = '%d стварних';
+$lang['%d physicals'] = '%d стварних';
 $lang[' and %d virtual'] = ' и %d виртуална';
-$lang[' and %d virtual'] = ' и %d виртуалних';
+$lang[' and %d virtuals'] = ' и %d виртуалних';
 $lang['%d album moved'] = '%d категорија премештена';
 $lang['%d albums moved'] = '%d категорија премештено';
Index: /trunk/language/th_TH/admin.lang.php
===================================================================
--- /trunk/language/th_TH/admin.lang.php	(revision 14976)
+++ /trunk/language/th_TH/admin.lang.php	(revision 14977)
@@ -1,3 +1,3 @@
-<?php
+﻿<?php
 // +-----------------------------------------------------------------------+
 // | Piwigo - a PHP based photo gallery                                    |
@@ -26,5 +26,5 @@
 
 $lang[' and %d virtual'] = " และ %d";
-$lang[' and %d virtual'] = " และ %d";
+$lang[' and %d virtuals'] = " และ %d";
 $lang['%d album including'] = "%d อัลบั้มที่กำลังรวม";
 $lang['%d album moved'] = "%d อัลบั้มที่ย้าย";
@@ -60,5 +60,5 @@
 $lang['%d photos were deleted'] = "%d รูป ได้ถูกลบแล้ว";
 $lang['%d physical'] = " %d กายภาพ";
-$lang['%d physical'] = " %d กายภาพ";
+$lang['%d physicals'] = " %d กายภาพ";
 $lang['%d tag'] = "%d แท็ก";
 $lang['%d tags'] = "%d แท็ก";
Index: /trunk/language/vi_VN/admin.lang.php
===================================================================
--- /trunk/language/vi_VN/admin.lang.php	(revision 14976)
+++ /trunk/language/vi_VN/admin.lang.php	(revision 14977)
@@ -26,8 +26,6 @@
 $lang['%d album including'] = '%d đề mục bao gồm ';
 $lang['%d albums including'] = '%d đề mục bao gồm ';
-$lang['%d physical'] = '%d physical';
-$lang['%d physical'] = '%d physical';
 $lang[' and %d virtual'] = ' và %d thư mục ảo';
-$lang[' and %d virtual'] = ' và %d thư mục ảo';
+$lang[' and %d virtuals'] = ' và %d thư mục ảo';
 $lang['%d album moved'] = '%d đề mục đã được chuyển';
 $lang['%d albums moved'] = '%d đề mục đã được chuyển';
Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 14976)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 14977)
@@ -27,7 +27,7 @@
 $lang['%d albums including'] = '%d 相册包含中';
 $lang['%d physical'] = '物理 %d';
-$lang['%d physical'] = '物理 %d ';
+$lang['%d physicals'] = '物理 %d ';
 $lang[' and %d virtual'] = ' 和 虚拟 %d ';
-$lang[' and %d virtual'] = ' 和 虚拟 %d ';
+$lang[' and %d virtuals'] = ' 和 虚拟 %d ';
 $lang['%d album moved'] = '%d 相册已移动';
 $lang['%d albums moved'] = '%d 相册已移动';
Index: /trunk/language/zh_TW/admin.lang.php
===================================================================
--- /trunk/language/zh_TW/admin.lang.php	(revision 14976)
+++ /trunk/language/zh_TW/admin.lang.php	(revision 14977)
@@ -27,7 +27,7 @@
 $lang['%d albums including'] = '%d 相冊包含中';
 $lang['%d physical'] = '物理 %d';
-$lang['%d physical'] = '物理 %d ';
+$lang['%d physicals'] = '物理 %d ';
 $lang[' and %d virtual'] = ' 和 虛擬 %d ';
-$lang[' and %d virtual'] = ' 和 虛擬 %d ';
+$lang[' and %d virtuals'] = ' 和 虛擬 %d ';
 $lang['%d album moved'] = '%d 相冊已移動';
 $lang['%d albums moved'] = '%d 相冊已移動';