Index: /trunk/language/af_ZA/admin.lang.php
===================================================================
--- /trunk/language/af_ZA/admin.lang.php	(revision 14977)
+++ /trunk/language/af_ZA/admin.lang.php	(revision 14978)
@@ -589,4 +589,3 @@
 $lang['remove this filter'] = 'verwyder hierdie filter';
 $lang['remove title'] = 'verwyder titel';
-$lang['%d rate'] = '%d gradering';
 ?>
Index: /trunk/language/af_ZA/common.lang.php
===================================================================
--- /trunk/language/af_ZA/common.lang.php	(revision 14977)
+++ /trunk/language/af_ZA/common.lang.php	(revision 14978)
@@ -404,3 +404,4 @@
 $lang['Visits, low &rarr; high'] = 'Besoeke, laag &rarr; hoog';
 $lang['xsmall'] = 'XS - baie klein';
+$lang['%d rate'] = '%d gradering';
 ?>
Index: /trunk/language/ca_ES/admin.lang.php
===================================================================
--- /trunk/language/ca_ES/admin.lang.php	(revision 14977)
+++ /trunk/language/ca_ES/admin.lang.php	(revision 14978)
@@ -930,4 +930,3 @@
 $lang['Visited %d times'] = 'Visitada %d vegades';
 $lang['Watermark'] = 'Marca d\'aigua';
-$lang['%d rate'] = '%d valoracion';
 ?>
Index: /trunk/language/ca_ES/common.lang.php
===================================================================
--- /trunk/language/ca_ES/common.lang.php	(revision 14977)
+++ /trunk/language/ca_ES/common.lang.php	(revision 14978)
@@ -404,3 +404,4 @@
 $lang['Visits, high &rarr; low'] = 'Visites, alt &rarr; baix';
 $lang['Visits, low &rarr; high'] = 'Visites, baix &rarr; alt';
+$lang['%d rate'] = '%d valoracion';
 ?>
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 14977)
+++ /trunk/language/en_UK/admin.lang.php	(revision 14978)
@@ -919,4 +919,3 @@
 $lang['%d seconds'] = '%d seconds';
 $lang['Sharpen'] = 'Sharpen';
-$lang['%d rate'] = "%d rate";
 ?>
Index: /trunk/language/en_UK/common.lang.php
===================================================================
--- /trunk/language/en_UK/common.lang.php	(revision 14977)
+++ /trunk/language/en_UK/common.lang.php	(revision 14978)
@@ -404,3 +404,4 @@
 $lang['Numeric identifier, 9 &rarr; 1'] = 'Numeric identifier, 9 &rarr; 1';
 $lang['Manual sort order'] = 'Manual sort order';
+$lang['%d rate'] = '%d rate';
 ?>
Index: /trunk/language/es_ES/admin.lang.php
===================================================================
--- /trunk/language/es_ES/admin.lang.php	(revision 14977)
+++ /trunk/language/es_ES/admin.lang.php	(revision 14978)
@@ -917,4 +917,3 @@
 $lang['Visited %d times'] = 'Visto %d veces';
 $lang['Watermark'] = 'Marca de agua';
-$lang['%d rate'] = '%d Nota';
 ?>
Index: /trunk/language/es_ES/common.lang.php
===================================================================
--- /trunk/language/es_ES/common.lang.php	(revision 14977)
+++ /trunk/language/es_ES/common.lang.php	(revision 14978)
@@ -405,3 +405,4 @@
 $lang['Visits, low &rarr; high'] = 'Visitas, menos  &rarr; más';
 $lang['xsmall'] = 'XS - muy pequeño';
+$lang['%d rate'] = '%d Nota';
 ?>
Index: /trunk/language/fr_CA/admin.lang.php
===================================================================
--- /trunk/language/fr_CA/admin.lang.php	(revision 14977)
+++ /trunk/language/fr_CA/admin.lang.php	(revision 14978)
@@ -928,5 +928,4 @@
 $lang['%d seconds'] = '%d secondes';
 $lang['Sharpen'] = 'Renforcer la netteté';
-$lang['%d rate'] = '%d note';
 
 ?>
Index: /trunk/language/fr_CA/common.lang.php
===================================================================
--- /trunk/language/fr_CA/common.lang.php	(revision 14977)
+++ /trunk/language/fr_CA/common.lang.php	(revision 14978)
@@ -408,3 +408,4 @@
 $lang['Numeric identifier, 9 &rarr; 1'] = 'Identifiant, 9 &rarr; 1';
 $lang['Manual sort order'] = 'Ordre manuel';
+$lang['%d rate'] = '%d note';
 ?>
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 14977)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 14978)
@@ -920,4 +920,3 @@
 $lang['%d seconds'] = '%d secondes';
 $lang['Sharpen'] = 'Renforcer la netteté';
-$lang['%d rate'] = '%d note';
 ?>
Index: /trunk/language/fr_FR/common.lang.php
===================================================================
--- /trunk/language/fr_FR/common.lang.php	(revision 14977)
+++ /trunk/language/fr_FR/common.lang.php	(revision 14978)
@@ -404,3 +404,4 @@
 $lang['Visits, high &rarr; low'] = 'Nombre de visites, élevé &rarr; faible';
 $lang['Visits, low &rarr; high'] = 'Nombre de visites, faible &rarr; élevé';
+$lang['%d rate'] = '%d note';
 ?>
Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 14977)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 14978)
@@ -919,4 +919,3 @@
 $lang['Visited %d times'] = 'Megtekintve %d alkalommal';
 $lang['Watermark'] = 'Vízjel';
-$lang['%d rate'] = '%d értékelé';
 ?>
Index: /trunk/language/hu_HU/common.lang.php
===================================================================
--- /trunk/language/hu_HU/common.lang.php	(revision 14977)
+++ /trunk/language/hu_HU/common.lang.php	(revision 14978)
@@ -409,3 +409,4 @@
 $lang['2small'] = 'XXS - legkissebb';
 $lang['xsmall'] = 'XS - kissebb';
+$lang['%d rate'] = '%d értékelé';
 ?>
Index: /trunk/language/lv_LV/admin.lang.php
===================================================================
--- /trunk/language/lv_LV/admin.lang.php	(revision 14977)
+++ /trunk/language/lv_LV/admin.lang.php	(revision 14978)
@@ -913,4 +913,3 @@
 $lang['%d seconds'] = '%d sekundes';
 $lang['Sharpen'] = 'Uzspicēts';
-$lang['%d rate'] = '%d vērtējum';
 ?>
Index: /trunk/language/lv_LV/common.lang.php
===================================================================
--- /trunk/language/lv_LV/common.lang.php	(revision 14977)
+++ /trunk/language/lv_LV/common.lang.php	(revision 14978)
@@ -404,4 +404,5 @@
 $lang['Numeric identifier, 9 &rarr; 1'] = 'Ciparu identifikators, 9 &rarr; 1';
 $lang['Manual sort order'] = 'Lietotāja izvēlētais kārtojums';
+$lang['%d rate'] = '%d vērtējum';
 
 ?>
Index: /trunk/language/pt_PT/admin.lang.php
===================================================================
--- /trunk/language/pt_PT/admin.lang.php	(revision 14977)
+++ /trunk/language/pt_PT/admin.lang.php	(revision 14978)
@@ -917,4 +917,3 @@
 $lang['Visited %d times'] = 'Visitada %d vezes';
 $lang['Watermark'] = 'Marca de água';
-$lang['%d rate'] = '%d avaliaçõe';
 ?>
Index: /trunk/language/pt_PT/common.lang.php
===================================================================
--- /trunk/language/pt_PT/common.lang.php	(revision 14977)
+++ /trunk/language/pt_PT/common.lang.php	(revision 14978)
@@ -405,3 +405,4 @@
 $lang['Visits, low &rarr; high'] = 'Visitas, parcas &rarr; elevadas';
 $lang['xsmall'] = 'XS - extra pequeno';
+$lang['%d rate'] = '%d avaliaçõe';
 ?>
Index: /trunk/themes/default/template/picture.tpl
===================================================================
--- /trunk/themes/default/template/picture.tpl	(revision 14977)
+++ /trunk/themes/default/template/picture.tpl	(revision 14978)
@@ -218,5 +218,10 @@
 		<dd>
 		{if $rate_summary.count}
-			<span id="ratingScore">{$rate_summary.score}</span> <span id="ratingCount">({assign var='rate_text' value='%d rates'|@translate}{$pwg->sprintf($rate_text, $rate_summary.count)})</span>
+                  {if $rate_summary.count == 1}
+                    {assign var='rate_text' value='%d rate'|@translate}
+                  {else}
+                    {assign var='rate_text' value='%d rates'|@translate}
+                  {/if}
+			<span id="ratingScore">{$rate_summary.score}</span> <span id="ratingCount">({$pwg->sprintf($rate_text, $rate_summary.count)})</span>
 		{else}
 			<span id="ratingScore">{'no rate'|@translate}</span> <span id="ratingCount"></span>
@@ -252,5 +257,12 @@
 						if (e) e.innerHTML = rating.score;
 						e = document.getElementById("ratingCount");
-						if (e) e.innerHTML = "({'%d rates'|@translate|@escape:'javascript'})".replace( "%d", rating.count);
+						if (e) {ldelim}
+							if (rating.count == 1) {ldelim}
+								e.innerHTML = "({'%d rate'|@translate|@escape:'javascript'})".replace( "%d", rating.count);
+							{rdelim}
+							else {ldelim}
+								e.innerHTML = "({'%d rates'|@translate|@escape:'javascript'})".replace( "%d", rating.count);
+							{rdelim}
+						{rdelim}
 					{rdelim}{rdelim} );
 			{/footer_script}