Index: /extensions/Comments_Access_Manager/language/ca_ES/description.txt
===================================================================
--- /extensions/Comments_Access_Manager/language/ca_ES/description.txt	(revision 14997)
+++ /extensions/Comments_Access_Manager/language/ca_ES/description.txt	(revision 14998)
@@ -1,1 +1,1 @@
-Permet gestionar l'acc&egrave;s als comentaris. Disposa de dues funcionalitats ja presents al complement UserAdvManager: Quan "Comentaris per a tots" est&agrave; actiu, pot exigir introduir un sobrenom, i quan "Comentaris per a tots" est&agrave; inactiu, la publicaci&oacute; de comentaris es pot limitar nom&eacute;s per a un grup concret d'usuaris.
+Permet gestionar l'acces als comentaris. Disposa de dues funcionalitats ja presents al complement UserAdvManager: Quan "Comentaris per a tots" esta habilitat, pot exigir introduir un sobrenom (nick). Quan "Comentaris per a tots" esta deshabilitat, la publicacio de comentaris pot limitar-se només per a un grup concret d'usuaris.
Index: /extensions/Comments_Access_Manager/language/ca_ES/help.lang.php
===================================================================
--- /extensions/Comments_Access_Manager/language/ca_ES/help.lang.php	(revision 14997)
+++ /extensions/Comments_Access_Manager/language/ca_ES/help.lang.php	(revision 14998)
@@ -27,3 +27,12 @@
 $lang['CM_commentTitle_d'] = 'Si <b>&quot;Comentaris per a tots&quot;</b> està habilitat (és a dir, que s\'autoritza als visitants no registrats a publicar comentaris), aquesta opció permet forçar als visitants no registrats a ingressar un sobrenom per a què el comentari sigui acceptat.';
 $lang['CM_commentTitle'] = 'Sobrenom obligatori per als comentaris dels visitants';
+$lang['CM_GroupCommTitle_d'] = 'Aquesta opció us permet especificar un grup d\'usuaris a qui se\'ls permet publicar comentaris quan la galeria està configurada per a no permetre comentaris per a tots.
+<br><br>
+Per defecte, quan la opció <b>&quot;Comentaris per a tots&quot;</b> està habilitada, només poden publicar comentaris els usuaris inscrits. Amb aquesta opció es pot restringir aquest comportament especificant un grup d\'usuaris. Per tant, només els usuaris registrats i membres d\'aquest grup podran publicar comentaris.';
+$lang['CM_ValidComm2Title_d'] = 'Permet publicar comentaris a un grup específic d\'usuaris encara que la galeria estigui configurada com a <u>permetre comentaris per a tos</u> i es sigui requerida la validació dels comentaris per un administrador.
+<br><br>
+Per defecte, tant si la validació dels comentaris com <b>&quot;Comentaris per a tots&quot;</b> estiguin habilitats, els comentaris de tots els usuaris inscrits estaràn subjectes a validació per part d\'un administrador abans de ser publicats a la galeria. Amb aquesta opció, pot autoritzar als membres d\'un grup a publicar comentaris sense que sigui necessària cap mena de validació.';
+$lang['CM_ValidCommTitle_d'] = 'Permet publicar comentaris a un grup específic d\'usuaris encara que la galeria estigui configurada com a <u>no permetre comentaris per a tos</u> i es sigui requerida la validació dels comentaris per un administrador.
+<br><br>
+Per defecte, quan la validació de comentaris estigui habilitada alhora que <b>&quot;Comentaris per a tots&quot;</b> estigui deshabilitat, els comentaris de tots els usuaris inscrits estaràn subjectes a la validació per part d\'un administrador abans de ser publicats a la galeria. Amb aquesta opció, pot autoritzar als membres d\'un grup a publicar comentaris sense que sigui necessària cap mena de validació.';
 ?>
Index: /extensions/Comments_Access_Manager/language/ca_ES/plugin.lang.php
===================================================================
--- /extensions/Comments_Access_Manager/language/ca_ES/plugin.lang.php	(revision 14997)
+++ /extensions/Comments_Access_Manager/language/ca_ES/plugin.lang.php	(revision 14998)
@@ -34,3 +34,10 @@
 $lang['CM_Validation_For_Group'] = 'Permetre comentaris sense la validació per part d\'un administrador';
 $lang['CM_save_config'] = 'Configuració desada correctament';
+$lang['CM_CommentsForAll'] = 'La opció "Comentaris per a tots" està <b style="color:red;">habilitada</b>';
+$lang['CM_CommentsForRegistered'] = 'La opció "Comentaris per a tots" està <b style="color:red;">deshabilitada</b>';
+$lang['CM_CommentsValidationOff'] = 'La "Comentaris pendents de validar" està <b style="color:red;">deshabilitada</b>';
+$lang['CM_CommentsValidationOn'] = 'La "Comentaris pendents de validar" està <b style="color:red;">habilitada</b>';
+$lang['CM_Support_txt'] = 'El suport oficial d\'aquest complement es troba en el tema del fòrum:<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=17577" onclick="window.open(this.href);return false;">English forum - http://piwigo.org/forum/viewtopic.php?id=17577</a><br><br>
+El projecte Bugtracker també està disponible: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 ?>