Index: /extensions/charlies_content/language/ru_RU/description.txt
===================================================================
--- /extensions/charlies_content/language/ru_RU/description.txt	(revision 15027)
+++ /extensions/charlies_content/language/ru_RU/description.txt	(revision 15027)
@@ -0,0 +1,1 @@
+Charlies content - это глобальное решение для файлов, которые не являются изображениями.
Index: /extensions/charlies_content/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/charlies_content/language/ru_RU/plugin.lang.php	(revision 15027)
+++ /extensions/charlies_content/language/ru_RU/plugin.lang.php	(revision 15027)
@@ -0,0 +1,147 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['(Adobe Systems for streaming audio, video and data)'] = '(Adobe Systems для потокового аудио, видео и данных)';
+$lang['(URL of a non progressive jpg)'] = '(URL, не прогрессивный JPG)';
+$lang['(URL|x|y : where x,y are the offsets to place the picture)'] = '(URL|x|y:, где х, у координаты для картинки)';
+$lang['.png without transparency are recommended. Maybe you can change a set of curtains by yours.'] = 'Рекомендуется .PNG без прозрачности. Может быть, вы можете изменить набор заставок на ваш.';
+$lang['Active curtains'] = 'Активировать заставку';
+$lang['Always'] = 'Всегда';
+$lang['Autohide delay ']['0-9999'] = 'Задержка автоскрытия [0-9999]';
+$lang['Autohide delay is out of range (Correct range: 0-9999)'] = 'Задержка автоматического скрытия вне диапазона (Правильный диапазон: 0-9999)';
+$lang['Autohide'] = 'Скрывать автоматически';
+$lang['Autoload'] = 'Автозагрузка';
+$lang['Autoplay'] = 'Автоматическое проигрывание';
+$lang['Background'] = 'Фон';
+$lang['Bind your prefered extensions to a template file (player) from:'] = 'Свяжите предпочтительные расширения файла с шаблоном (плеером) из:';
+$lang['Bottom border fading'] = 'Затухание нижней границы';
+$lang['Buffer background'] = 'Фон буфера';
+$lang['Buffering _n_'] = 'Загружено_n_';
+$lang['Buffering'] = 'Буферизация';
+$lang['Buffer'] = 'Буфер';
+$lang['Charlies player template-mimetype association'] = 'Типы файлов связанные с плеером Charlies';
+$lang['Charlies players configuration'] = 'Настройка плееров Charlies';
+$lang['Color usage might be just for information (Players could just ignore them or use them differently)'] = 'Цвет используется только для информации (Плееры могут просто игнорировать его или использовать по-разному)';
+$lang['Config by element'] = 'Конфигурация по элементам';
+$lang['Curtain selection'] = 'Выбор заставки';
+$lang['Default 1500 milliseconds.'] = 'По умолчанию 1500 миллисекунд.';
+$lang['Default 5 seconds'] = 'По умолчанию 5 секунд';
+$lang['Default height is out of range (Correct range: 90-1024)'] = 'Высота по умолчанию находится вне диапазона (правильный диапазон: 90-1024)';
+$lang['Default size might be 11.'] = 'По умолчанию размер 11.';
+$lang['Default size might be 20.'] = 'По умолчанию размер 20.';
+$lang['Default width is out of range (Correct range: 90-1024)'] = 'Ширина по умолчанию находится вне диапазона (правильный диапазон: 90-1024)';
+$lang['Display first picture'] = 'Показывать первую картинку';
+$lang['FYI: all these options might be used or NOT by the inbound player (template).'] = 'Для справки: все эти параметры могут быть использованы или нет, встроенным плеером (шаблон).';
+$lang['Filename.srt might be use for captioning'] = 'Filename.srt использовать для субтитров';
+$lang['Filename.txt might be use as config.txt file'] = 'Filename.txt может быть использован в качестве файла config.txt';
+$lang['Filename.xml might be use as config.xml file'] = 'Filename.xml может быть использован в качестве файла config.xml';
+$lang['Flash Player 9.0.16.60 or above is required.'] = 'Требуется Flash Player 9.0.16.60 и выше';
+$lang['Forced height is out of range (Correct range: 90-1024)'] = 'Установленная высота находится вне диапазона (правильный диапазон: 90-1024)';
+$lang['Forced video height'] = 'Установленная высота видео';
+$lang['Forced video width'] = 'Установленная ширина видео';
+$lang['Forced width is out of range (Correct range: 90-1024)'] = 'Установленная ширина находится вне диапазона (правильный диапазон: 90-1024)';
+$lang['Fullscreen'] = 'Полноэкранный режим';
+$lang['General options'] = 'Основные настройки';
+$lang['Hover bar gradient'] = 'Наведение мыши на полосу градиента';
+$lang['Hover player buttons'] = 'Кнопки плеера при наведении мыши';
+$lang['Invalid color code: 3 or 6 hexadecimal characters, preceded by "#"'] = 'Неверный код цвета: 3 или 6 шестнадцатеричных символов, которым предшествует "#"';
+$lang['Keyboard shortcuts'] = 'Клавиши быстрого доступа';
+$lang['Leftbar gradient fading'] = 'Затухание левой полосы градиент';
+$lang['Load an image over video'] = 'Загрузка изображения поверх видео';
+$lang['Loading bar'] = 'Полоса загрузки';
+$lang['Loop'] = 'Зациклить';
+$lang['Margin for skin'] = 'Поля для скина';
+$lang['Margin is out of range (Correct range: 0-40)'] = 'Поля вне диапазона (Правильный диапазон: 0-40)';
+$lang['Miscellaneous'] = 'Прочие';
+$lang['Never'] = 'Никогда';
+$lang['Note: These options are available with the Maxi FLV Player. More details on all theses options on:'] = 'Примечание: Эти настройки доступны с плеером Maxi FLV. Более подробная информация о всех настройках здесь:';
+$lang['Off'] = 'Выключить';
+$lang['Onclick URL'] = 'При нажатии URL';
+$lang['On'] = 'Включить';
+$lang['PHP streaming'] = 'PHP поток';
+$lang['Play icon background'] = 'Фон значка проигрывания';
+$lang['Play icon in middle'] = 'Значок воспроизведения в середине';
+$lang['Play icon transparency ']['0-100'] = 'Прозрачность значка воспроизведения [0-100]';
+$lang['Play icon transparency is out of range (Correct range: 0-100)'] = 'Прозрачность значка Играть вне диапазона (Правильный диапазон: 0-100)';
+$lang['Play icon'] = 'Значок проигрывания';
+$lang['Player and Buttons'] = 'Плеер и Кнопки';
+$lang['Player buttons'] = 'Кнопки плеера';
+$lang['Player transparency ']['0-100'] = 'Прозрачность плеера [0-100]';
+$lang['Player transparency is out of range (Correct range: 0-100)'] = 'Прозрачность плеера вне диапазона (Правильный диапазон: 0-100)';
+$lang['Player'] = 'Плеер';
+$lang['Players colors'] = 'Цвета плееров';
+$lang['Players colours selection'] = 'Выбор цвета плеера';
+$lang['Players options'] = 'Настройка плееров';
+$lang['RTMP server URL'] = 'URL RTMP сервера';
+$lang['Reset ALL Charlies\' configuration'] = 'Сброс ВСЕХ настроек Charlies\'';
+$lang['Reset ALL Confirmation'] = 'Сбросить все подтверждения';
+$lang['Rightbar gradient fading'] = 'Затухание правой полосы градиент';
+$lang['Save Charlies\' configuration'] = 'Сохранить конфигурацию Charlies';
+$lang['Show loading'] = 'Показывать загрузку';
+$lang['Show mouse'] = 'Показывать мышь';
+$lang['Show player'] = 'Показывать плеер';
+$lang['Show stop button'] = 'Показывать кнопку стоп';
+$lang['Show subtitles switch'] = 'Показать переключатьель субтитров';
+$lang['Show time'] = 'Показывать время';
+$lang['Show volume'] = 'Показывать громкость';
+$lang['Skin image'] = 'Картинка для скина';
+$lang['Skin'] = 'Скин';
+$lang['Start image'] = 'Стартовая картинка';
+$lang['Stop stops loading'] = 'Stop останавливает загрузку';
+$lang['Subtitle font size is out of range (Correct range: 8-24)'] = 'Размер шрифта подзаголовка вне диапазона (правильный диапазон: 8-24)';
+$lang['Subtitleling'] = 'Подзаголовки';
+$lang['Subtitles background'] = 'Фон титров';
+$lang['Subtitles file URL'] = 'URL файла Субтитров';
+$lang['Subtitles font size ']['8-24'] = 'Размер шрифта Субтитров [8-24]';
+$lang['Subtitles'] = 'Субтитры';
+$lang['Templates configuration'] = 'Настройка шаблонов';
+$lang['Time left'] = 'Оставшееся время';
+$lang['Title and start picture'] = 'Заголовок стартовой картинки';
+$lang['Title font size ']['12-72'] = 'Размер шрифта заголовка [12-72]';
+$lang['Title font size is out of range (Correct range: 12-72)'] = 'Размер шрифта Названия вне диапазона (правильный диапазон: 12-72)';
+$lang['Titleling'] = 'Заголовки';
+$lang['Title'] = 'Заголовок';
+$lang['Top border fading'] = 'Затухание верхней границы';
+$lang['URL of .srt'] = 'URL .srt';
+$lang['Unknown file (Start image)'] = 'Неизвестный файл (Стартовое изображение)';
+$lang['Unknown file (skin)'] = 'Неизвестный файл (скин)';
+$lang['Unknown file or URL|x|y error (x and y must be numeric)'] = 'Неизвестный файл или URL|х|у ошибка (х и у должны быть числовыми)';
+$lang['Use existing .txt to config'] = 'Использовать существующий .txt для настройки';
+$lang['Use existing .xml to config'] = 'Использовать существующий .xml для настройки';
+$lang['Use subtitles'] = 'Использование субтитров';
+$lang['Video buffer background'] = 'Фон видеобуфера';
+$lang['Video buffer percent message'] = 'Сообщение о ходе буферизации';
+$lang['Video buffer size in seconds'] = 'Размер буфера Видео в секундах';
+$lang['Video default height'] = 'Высота видео по умолчанию';
+$lang['Video default width'] = 'Ширина видео по умолчанию';
+$lang['Volume ']['0-200'] = 'Громкость [0-200]';
+$lang['Volume is out of range (Correct range: 0-200)'] = 'Громкость находится вне диапазона (правильный диапазон: 0-200)';
+$lang['Wrong filename or file not found (Subtitles file)'] = 'Неправильное имя файла или файл не найден (файл подзаголовка)';
+$lang['Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol 
+    developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.'] = 'Неправильное имя файла. RTMP (Real Time Протокол сообщений) является протоколом, основанным на TCP разработанной системы Adobe для передачи потокового аудио / видео данных между Flash Player и медиа-сервером.';
+$lang['You are Adviser and you are not authorized to change this configuration.'] = 'У Вас нет допуска к изменению этой конфигурации.';
+$lang['Your configuration is NOT saved due to above reasons.'] = 'Ваша конфигурация не сохраняется из-за указанных выше причин.';
+$lang['Your configuration is saved.'] = 'Ваша конфигурация сохранена.';
+$lang['_blank'] = 'новое';
+$lang['_self'] = 'текущее';
+$lang['or fullscreen or playpause or none'] = 'fullscreen или playpause или none';
+?>