Index: /extensions/LLGBO2/admin/llgbo_admin.php
===================================================================
--- /extensions/LLGBO2/admin/llgbo_admin.php	(revision 15075)
+++ /extensions/LLGBO2/admin/llgbo_admin.php	(revision 15076)
@@ -330,5 +330,5 @@
 		if (!isset($_POST['llgbo_header_favorites'])) {$_POST['llgbo_header_favorites'] = 'true';} 
 		if (!isset($_POST['llgbo_header_recent_cats'])) {$_POST['llgbo_header_recent_cats'] = 'true';} 		
-	 		
+	 	if (!isset($_POST['llgbo_header_thePiwiShackControllerPage'])) {$_POST['llgbo_header_thePiwiShackControllerPage'] = 'true';} 	
 		  
 		 $param_llgbo_header = array(
@@ -343,5 +343,5 @@
 					$_POST['llgbo_header_notification'], $_POST['llgbo_header_register'],
 					$_POST['llgbo_header_identification'], $_POST['llgbo_header_favorites'],
-					$_POST['llgbo_header_recent_cats']);
+					$_POST['llgbo_header_recent_cats'],  $_POST['llgbo_header_thePiwiShackControllerPage']);
 		$llgbo_newheader_value = implode ("," , $param_llgbo_header);
 		
@@ -380,4 +380,5 @@
  if (isset($conf['LLGBO_HEADER'][19])) {$template->assign(array( 'LLGBO_HEADER_FAVORITES' => $conf['LLGBO_HEADER'][19]));}
  if (isset($conf['LLGBO_HEADER'][20])) {$template->assign(array( 'LLGBO_HEADER_RECENT_CATS' => $conf['LLGBO_HEADER'][20]));}
+ if (isset($conf['LLGBO_HEADER'][21])) {$template->assign(array( 'LLGBO_HEADER_THEPIWISHACKCONTROLLERPAGE' => $conf['LLGBO_HEADER'][21]));}
 
  }
Index: /extensions/LLGBO2/admin/llgbo_adminheader.tpl
===================================================================
--- /extensions/LLGBO2/admin/llgbo_adminheader.tpl	(revision 15075)
+++ /extensions/LLGBO2/admin/llgbo_adminheader.tpl	(revision 15076)
@@ -67,4 +67,10 @@
 		<td class="llgboinput">	{html_radios name='llgbo_header_about' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_ABOUT}</td>
 	 </tr>	
+	  <tr>
+		<td class="llgbolabel">{'llgbo_header_thePiwiShackControllerPage'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_thePiwiShackControllerPage' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_THEPIWISHACKCONTROLLERPAGE}</td>
+	 </tr>	
+	 
+
     <tr><td colspan="2"><br></td></tr>
 	<tr> 
Index: /extensions/LLGBO2/defaultvalues.php
===================================================================
--- /extensions/LLGBO2/defaultvalues.php	(revision 15075)
+++ /extensions/LLGBO2/defaultvalues.php	(revision 15076)
@@ -5,5 +5,5 @@
 $ttvalues = "150,2,#fff,#000,#c92,#dadada";
 $frvalues = "#16195f,#ffffff,3,#040404,1,#ffffff,7,#ffffff,1,#fdfdfd,1,#fcfcfc,1,#fafafa,1,#eaeaea,1,#d3d3d3,1,#bababa,1,#9f9f9f,1,#858585,1,#777777,1,#646464,1,#575757,1,#474747,1";
-$headvalues = "true,false,false,false,false,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true";
+$headvalues = "true,false,false,false,false,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true";
 
 ?>
Index: /extensions/LLGBO2/include/manage_header.php
===================================================================
--- /extensions/LLGBO2/include/manage_header.php	(revision 15075)
+++ /extensions/LLGBO2/include/manage_header.php	(revision 15076)
@@ -27,4 +27,5 @@
 		if ((strpos( $input,'favorites') == true ) and ($conf['LLGBO_HEADER'][19] == 'false')) {$no_header = true;}
 		if ((strpos( $input,'recent_cats') == true ) and ($conf['LLGBO_HEADER'][20] == 'false')) {$no_header = true;;} 
+		if ((strpos( $input,'thePiwiShackControllerPage') == true ) and ($conf['LLGBO_HEADER'][21] == 'false')) {$no_header = true;;} 
 	 
 	}
Index: /extensions/LLGBO2/include/manage_picture_content.php
===================================================================
--- /extensions/LLGBO2/include/manage_picture_content.php	(revision 15075)
+++ /extensions/LLGBO2/include/manage_picture_content.php	(revision 15076)
@@ -2,4 +2,6 @@
 $prev = $template->get_template_vars('previous');
 $next  = $template->get_template_vars('next');
+$current  = $template->get_template_vars('current');
+$themeconf = $template->get_template_vars('themeconf');
 //print_r($next);
 $swtimg =   '||<img src=';	
@@ -8,6 +10,6 @@
 //----------------------------------------------------	 
 If ($conf['LLGBO_SETTINGS'][1]  == 'true' )//   tooltip  
-{   if (isset($prev)){$template->append('previous',  array('TITLE' =>  $prev['TITLE'].$swtimg.$prev['THUMB_SRC'].'>'),TRUE);}
-	if (isset($next)){$template->append('next',  array('TITLE' =>  $next['TITLE'].$swtimg.$next['THUMB_SRC'].'>'),TRUE);}
+{  if (isset($prev)){$template->append('previous',  array('TITLE' =>  $prev['TITLE'].$swtimg.$prev['THUMB_SRC'].'>'),TRUE);}
+   if (isset($next)){$template->append('next',  array('TITLE' =>  $next['TITLE'].$swtimg.$next['THUMB_SRC'].'>'),TRUE);}
  	$template->append('llgbo', array('tooltipCSS'  => $sweetcss), true); 
 	}	
@@ -17,5 +19,6 @@
 //----------------------------------------------------	 
 If (($conf['LLGBO_SETTINGS'] [0] == 'true') ) //Frame
-	{ 	$template->set_prefilter('default_content', 'LLGBO_prefilter_Frame');
+	{ 	
+	$template->set_prefilter('default_content', 'LLGBO_prefilter_Frame');
 	// selected picture Size			
 	$deriv_type = pwg_get_session_var('picture_deriv', IMG_LARGE);
@@ -36,4 +39,8 @@
 				$lastbrdpx = $bordpx;}
 		}
+	$csstheme = 'default';
+	$themeconf = $template->get_template_vars('themeconf');
+	 if (( strpos(strtoupper($themeconf['name']) , 'STRIPPED') === 0) ) 
+						{  $csstheme = 'stripped';}
 		$frame_width = $frame_width + ( 2* $lastbrdpx);				 
 		$frame_height = $frame_height + ( 2* $lastbrdpx); 
@@ -43,11 +50,14 @@
 			 'FRAME_BEGIN' => $frame_begin,
 			  'FRAME_END' => $frame_end,
-			  'GBOCSS' => $gbolook ), true); 
+			  'GBOCSS' => LLGBO_PATH."css/llgbo_content_".$csstheme.".css" ), true); 
 
 			 
-	If ($conf['LLGBO_SETTINGS'] [5]  == 'true' )  /* title on frame */ 
+	If (($conf['LLGBO_SETTINGS'] [5]  == 'true' )  /* title on frame */ 
+	and ($conf['LLGBO_SETTINGS'] [0]  == 'true' ) )// frame
 		 {  $template->append('llgbo', array(
-				 'TITLE_FRAME_COLOR' => $conf['LLGBO_FRAME'][0],), true);
+				 'TITLE_FRAME_COLOR' => $conf['LLGBO_FRAME'][0],
+				 'TITLE_FRAME' => $current['name'] ), true);
 			$template->assign('SHOW_PICTURE_NAME_ON_TITLE' , false); 
+	
 			}
 } // end frame
Index: /extensions/LLGBO2/js/jquery_llgboframeresize.js
===================================================================
--- /extensions/LLGBO2/js/jquery_llgboframeresize.js	(revision 15075)
+++ /extensions/LLGBO2/js/jquery_llgboframeresize.js	(revision 15076)
@@ -1,28 +1,27 @@
 // LLGBO frame resize 
-jQuery(document).ready(function($){  
-	$("#theMainImage").load(function(){
- 		var FrmHeight =   parseInt(this.height);
-		var FrmWidth =     parseInt(this.width);
-		var FrmLastBorder = 0; 
-		var gboid = document.getElementById("gbo")
-		if (gboid)
-			{for ( i=1; i<32; i=i+2 )
-				{var tgname = "llgboframe"+(i);
-				var FrmS = document.getElementById(tgname);
-					if (FrmS)	
-						{ 
-						FrmHeight = FrmHeight + (FrmLastBorder * 2);
-						FrmWidth= FrmWidth + (FrmLastBorder * 2);
-						FrmS.style.height = FrmHeight+"px";
-						FrmS.style.width  = FrmWidth+"px";
-						FrmLastBorder = parseInt(FrmS.style.borderWidth);
-						}
-				}
-			FrmHeight = FrmHeight + (FrmLastBorder * 2);
-			FrmWidth = FrmWidth + (FrmLastBorder * 2);
-			gboid.style.height = FrmHeight+"px";
-			gboid.style.width  = FrmWidth+"px";
+jQuery(document).ready(function(jQuery){ 
+	jQuery("#theMainImage").load(function(){LlgboFr_Resize();});	
+	jQuery(window).resize(function(){ LlgboFr_Resize(); });
+});
+var LlgboFr_Resize = function () {
+	var MainImg = jQuery("img#theMainImage").get(0);	
+	var nFrH = parseInt(MainImg.height);
+	var nFrW = parseInt(MainImg.width);
+	var FrLstBdr = 0, i = 0;
+	var elGbo = jQuery("div#llgbo");
+	if  (elGbo.get(0)) { 
+		for ( i=1; i<32; i=i+2 )
+			{var Fr = jQuery("div#llgboframe"+(i));
+			 var frbdr = 0;
+			 if (Fr.get(0)) {
+				frbdr = parseInt(Fr.css('border-left-width'));
+				nFrH = nFrH + FrLstBdr ;
+				nFrW = nFrW + FrLstBdr ;
+				Fr.css("height", (nFrH) + "px");
+				Fr.css("width", (nFrW) + "px");}
+				FrLstBdr = (frbdr * 2); 
 			}
-	});	
-});
-
+			elGbo.css("width", (nFrW + FrLstBdr) + "px");
+			elGbo.css("height", (nFrH + FrLstBdr) + "px");
+		}
+}
Index: /extensions/LLGBO2/js/jquery_llgbotip.js
===================================================================
--- /extensions/LLGBO2/js/jquery_llgbotip.js	(revision 15075)
+++ /extensions/LLGBO2/js/jquery_llgbotip.js	(revision 15076)
@@ -1,3 +1,3 @@
-jQuery(document).ready(function($){  
+jQuery(document).ready(function(jQuery){  
 	/* CONFIG */		
 		// these 2 variables determine popup's gap from the cursor		
@@ -11,17 +11,17 @@
         
 	/* END CONFIG */	
-	$("#theMainImage").mouseover(function(){
+	jQuery("#theMainImage").mouseover(function(){
   //  tooltip IMG title remove	 
 		MainTitle = this.title;
 		this.title =""; 
 		});	
-	$("#theMainImage").mouseout(function(){
+	jQuery("#theMainImage").mouseout(function(){
   //   tooltip IMG  title restaure	 
 		this.title = MainTitle ; 
 		});	
 		
-	$("area,a").mouseover(function(e){	
-			MainTitle = $("#theMainImage").attr("title");
-	        $("#theMainImage").attr("title",""); // for IE
+	jQuery("area,a").mouseover(function(e){	
+			MainTitle = jQuery("#theMainImage").attr("title");
+	        jQuery("#theMainImage").attr("title",""); // for IE
       		this.t = this.title;
 		 // llgbo conf
@@ -41,12 +41,12 @@
 					this.tt += "<p id="+pid+">"+ val[i]+"</p>";}
 					}		
-			$("body").append("<div id='toolTip'>"+this.tt+"</div>"); 
+			jQuery("body").append("<div id='toolTip'>"+this.tt+"</div>"); 
 		
-		    MyTT = $("#toolTip");
+		    MyTT = jQuery("#toolTip");
 			if (this.id == "Rules")
 					{ MyTT.css( {'border-color' : '#c92'});}
 		    if (this.id == "RulesEx")
 				{ MyTT.css( {'border-color' : '#d3fed2'})
-				$("#toolTip #title").css( {'color' : '#d3fed2'}); }
+				jQuery("#toolTip #title").css( {'color' : '#d3fed2'}); }
 		
 			updateXY(e);
@@ -56,19 +56,19 @@
 				});			
  
-	$("area,a").mouseout(function(e){	
+	jQuery("area,a").mouseout(function(e){	
 		if (this.activate =='ok') // mouseout without mouseover we keep the right title
 			{ this.title = this.t;	 
-				$("#toolTip")
+				jQuery("#toolTip")
 				.fadeOut("slow")
 				.remove();
-				 $("#theMainImage").attr("title",MainTitle); // for IE 
+				 jQuery("#theMainImage").attr("title",MainTitle); // for IE 
 				 }
  });	
-	$("area,a").mousemove(function(e){
+	jQuery("area,a").mousemove(function(e){
 		updateXY(e);
 	});	
 	    var updateXY = function(e) {
 			var xLeft,xCord;
-            MyTT = $("#toolTip");
+            MyTT = jQuery("#toolTip");
 			var wT = MyTT.width() + 6 /* border */+ xGap;
 			var hT = MyTT.height() + 6 /* border */+ yGap; 
Index: /extensions/LLGBO2/language/ar_SA/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/ar_SA/plugin.lang.php	(revision 15075)
+++ /extensions/LLGBO2/language/ar_SA/plugin.lang.php	(revision 15076)
@@ -86,3 +86,4 @@
 $lang['llgbo_hdShadowbox'] ='التكامل HD الظل وتحريك الصور <br> HD الظل يجب ان يفعل!';
 $lang['llgbo_dispinshadowbox'] ='اعرض في صندوق الظل --> ';
+/*TODO*/$lang['llgbo_header_thePiwiShackControllerPage']= 'Display header on the plugin  PiwiShack Controller Page';
 ?>
Index: /extensions/LLGBO2/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/cs_CZ/plugin.lang.php	(revision 15075)
+++ /extensions/LLGBO2/language/cs_CZ/plugin.lang.php	(revision 15076)
@@ -86,3 +86,4 @@
 $lang['llgo_warning_setting'] = 'pro použití s Gally šablonami,  plugin cl_conflit musí být nainstalován';
 $lang['llgbo_dispinshadowbox'] ='Zobrazit v shadowboxu --> ';
+/*TODO*/$lang['llgbo_header_thePiwiShackControllerPage']= 'Display header on the plugin  PiwiShack Controller Page';
 ?>
Index: /extensions/LLGBO2/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/de_DE/plugin.lang.php	(revision 15075)
+++ /extensions/LLGBO2/language/de_DE/plugin.lang.php	(revision 15076)
@@ -86,3 +86,4 @@
 $lang['llgbo_hdShadowbox'] ='Kompatibilität zwischen HD Shadowbox und In-Bild-Navigation. <br> HD Shadowbox muss aktiviert sein!';
 $lang['llgbo_dispinshadowbox'] ='In Shadowbox anzeigen --> ';
+/*TODO*/$lang['llgbo_header_thePiwiShackControllerPage']= 'Display header on the plugin  PiwiShack Controller Page';
 ?>
Index: /extensions/LLGBO2/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 15075)
+++ /extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 15076)
@@ -86,3 +86,5 @@
 $lang['llgbo_hdShadowbox'] ='Compliance HD Shadowbox and navigation on picture. <br> HD Shadowbox must be activated!';
 $lang['llgbo_dispinshadowbox'] ='Display in shadowbox --> ';
+// Translation to do
+$lang['llgbo_header_thePiwiShackControllerPage']= 'Display header on the plugin  PiwiShack Controller Page';
 ?>
Index: /extensions/LLGBO2/language/es_ES/index.php
===================================================================
--- /extensions/LLGBO2/language/es_ES/index.php	(revision 15075)
+++ /extensions/LLGBO2/language/es_ES/index.php	(revision 15076)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/LLGBO2/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 15075)
+++ /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 15076)
@@ -86,3 +86,4 @@
 /*TODO*/$lang['llgbo_hdShadowbox'] ='Compliance HD Shadowbox and navigation on picture. <br> HD Shadowbox must be activated !';
 /*TODO*/$lang['llgbo_dispinshadowbox'] ='Display in shadowbox --> ';
+/*TODO*/$lang['llgbo_header_thePiwiShackControllerPage']= 'Display header on the plugin  PiwiShack Controller Page';
 ?>
Index: /extensions/LLGBO2/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/fr_FR/plugin.lang.php	(revision 15075)
+++ /extensions/LLGBO2/language/fr_FR/plugin.lang.php	(revision 15076)
@@ -86,3 +86,4 @@
 $lang['llgo_warning_setting'] = 'Pour utiliser les thémes Gally , vous devez installer le plugin cl_conflit';
 $lang['llgbo_dispinshadowbox'] ='Affichage dans Shadowbox --> ';
+$lang['llgbo_header_thePiwiShackControllerPage']= 'Affichage sur la page de controle du plugin  PiwiShack';
 ?>
Index: /extensions/LLGBO2/language/hu_HU/index.php
===================================================================
--- /extensions/LLGBO2/language/hu_HU/index.php	(revision 15075)
+++ /extensions/LLGBO2/language/hu_HU/index.php	(revision 15076)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/LLGBO2/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/hu_HU/plugin.lang.php	(revision 15075)
+++ /extensions/LLGBO2/language/hu_HU/plugin.lang.php	(revision 15076)
@@ -87,3 +87,4 @@
 $lang['llgbo_dispinshadowbox'] = 'Shadowbox megjelenítő --> ';
 $lang['llgo_frame_setting'] = 'Keret beállítások';
+/*TODO*/$lang['llgbo_header_thePiwiShackControllerPage']= 'Display header on the plugin  PiwiShack Controller Page';
 ?>
Index: /extensions/LLGBO2/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/it_IT/plugin.lang.php	(revision 15075)
+++ /extensions/LLGBO2/language/it_IT/plugin.lang.php	(revision 15076)
@@ -100,3 +100,4 @@
 $lang['save'] = 'Salva';
 $lang['Step2_Title'] = 'Impostazioni tooltip';
+/*TODO*/$lang['llgbo_header_thePiwiShackControllerPage']= 'Display header on the plugin  PiwiShack Controller Page';
 ?>
Index: /extensions/LLGBO2/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/lv_LV/plugin.lang.php	(revision 15075)
+++ /extensions/LLGBO2/language/lv_LV/plugin.lang.php	(revision 15076)
@@ -87,4 +87,4 @@
 $lang['llgo_warning_setting'] = 'lai lietotu ar Gally tēmām, jābūt instalētam cl_conflit spraudnim';
 $lang['llgbo_dispinshadowbox'] = 'Rādīt ēnu kastē (shadowbox) --> ';
-
+/*TODO*/$lang['llgbo_header_thePiwiShackControllerPage']= 'Display header on the plugin  PiwiShack Controller Page';
 ?>
Index: /extensions/LLGBO2/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/nl_NL/plugin.lang.php	(revision 15075)
+++ /extensions/LLGBO2/language/nl_NL/plugin.lang.php	(revision 15076)
@@ -45,3 +45,4 @@
 $lang['llgbo_usemap_thumb'] = 'Toon thumbnails indien navigatie actief is op de afbeelding:';
 $lang['llgo_tooltip_width'] = 'Tooltipbreedte';
+/*TODO*/$lang['llgbo_header_thePiwiShackControllerPage']= 'Display header on the plugin  PiwiShack Controller Page';
 ?>
Index: /extensions/LLGBO2/language/no_NO/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/no_NO/plugin.lang.php	(revision 15075)
+++ /extensions/LLGBO2/language/no_NO/plugin.lang.php	(revision 15076)
@@ -87,4 +87,4 @@
 $lang['llgbo_hdShadowbox'] ='Compliance HD Shadowbox og navigeirng på bilder. <br> Må HD Shadowbox være aktivert!';
 /*TODO*/$lang['llgbo_dispinshadowbox'] ='Display in shadowbox --> ';
-
+/*TODO*/$lang['llgbo_header_thePiwiShackControllerPage']= 'Display header on the plugin  PiwiShack Controller Page';
 ?>
Index: /extensions/LLGBO2/language/pl_PL/index.php
===================================================================
--- /extensions/LLGBO2/language/pl_PL/index.php	(revision 15075)
+++ /extensions/LLGBO2/language/pl_PL/index.php	(revision 15076)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/LLGBO2/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 15075)
+++ /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 15076)
@@ -84,4 +84,4 @@
 $lang['llgo_warning_setting'] = 'Aby mógł używać ze skórką Gally, musisz zainstalować wtyczkę cl_conflit';
 $lang['llgbo_hdShadowbox'] = 'Wymuś HD Shadowbox i strzałki nawigacji na zdjęciu. HD Shadowbox musi być aktywne!';
-
+/*TODO*/$lang['llgbo_header_thePiwiShackControllerPage']= 'Display header on the plugin  PiwiShack Controller Page';
 ?>
Index: /extensions/LLGBO2/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/ru_RU/plugin.lang.php	(revision 15075)
+++ /extensions/LLGBO2/language/ru_RU/plugin.lang.php	(revision 15076)
@@ -81,6 +81,4 @@
 $lang['llgo_warning_setting'] = 'Чтобы использовать темы Gally нужно установить плагин cl_conflit';
 $lang['llgbo_dispinshadowbox'] = 'Показывать на затененном фоне --> ';
-
-
-
+/*TODO*/$lang['llgbo_header_thePiwiShackControllerPage']= 'Display header on the plugin  PiwiShack Controller Page';
 ?>
Index: /extensions/LLGBO2/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/sk_SK/plugin.lang.php	(revision 15075)
+++ /extensions/LLGBO2/language/sk_SK/plugin.lang.php	(revision 15076)
@@ -86,3 +86,4 @@
 $lang['llgo_warning_setting'] = 'pre použitie s Gally šablónou musí byť inštalovaný doplnok cl_conflit';
 $lang['llgbo_dispinshadowbox'] = 'Zobraziť v shadowboxe --> ';
+/*TODO*/$lang['llgbo_header_thePiwiShackControllerPage']= 'Display header on the plugin  PiwiShack Controller Page';
 ?>
Index: /extensions/LLGBO2/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/sv_SE/plugin.lang.php	(revision 15075)
+++ /extensions/LLGBO2/language/sv_SE/plugin.lang.php	(revision 15076)
@@ -85,4 +85,4 @@
 $lang['llgbo_hdShadowbox'] = 'Compliance HD Shadowbox och bildnavigation. <br> HDShadowbox måste vara aktiverad!';
 $lang['llgbo_dispinshadowbox'] = 'Visa i shadowbox --> '; 
-
+/*TODO*/$lang['llgbo_header_thePiwiShackControllerPage']= 'Display header on the plugin  PiwiShack Controller Page';
 ?>
Index: /extensions/LLGBO2/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/uk_UA/plugin.lang.php	(revision 15075)
+++ /extensions/LLGBO2/language/uk_UA/plugin.lang.php	(revision 15076)
@@ -100,3 +100,4 @@
 $lang['submit'] = 'Прийняти';
 $lang['Title'] = 'Подивіться, що GBo';
+/*TODO*/$lang['llgbo_header_thePiwiShackControllerPage']= 'Display header on the plugin  PiwiShack Controller Page';
 ?>
Index: /extensions/LLGBO2/main.inc.php
===================================================================
--- /extensions/LLGBO2/main.inc.php	(revision 15075)
+++ /extensions/LLGBO2/main.inc.php	(revision 15076)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Look_like_gbo2 
-Version:  2.4.A
+Version:  2.4.B
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=251
 Author: GBo 
@@ -9,9 +9,10 @@
 Add a border around  picture ......
 	2.4.A Compliance Piwigo 2.4 + jquery
+	2.4.B Compliance Theme Stripped and plugin Piwishak  
  */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
 global $conf; 
-define ('LLGBO_INFO_VERSION','2.4.A');
+define ('LLGBO_INFO_VERSION','2.4.B');
 if (!defined('LLGBO_PATH'))
 {define('LLGBO_PATH' ,get_root_url().'plugins/'.basename(dirname(__FILE__)) . '/');}
@@ -66,4 +67,14 @@
 { global $template,$conf;
 $infofile = $template->get_template_vars('INFO_FILE'); 
+//----------------------------------------------------	 
+//-------    Tooltip    Arrow Stripped   -------------	 
+//----------------------------------------------------	
+$prev = $template->get_template_vars('previous');
+$next  = $template->get_template_vars('next');
+$swtimg =   '||<img src=';	
+// If (($conf['LLGBO_SETTINGS'][1]  == 'true' ) and ($conf['LLGBO_SETTINGS'] [2]  == 'true' ))//   tooltip  
+// {   if (isset($prev)){$template->append('previous',  array('TITLE' =>  $prev['TITLE'].$swtimg.$prev['THUMB_SRC'].'>'),TRUE);}
+//	if (isset($next)){$template->append('next',  array('TITLE' =>  $next['TITLE'].$swtimg.$next['THUMB_SRC'].'>'),TRUE);}
+//	}
 // ---- Metadata ----------	
 $pictExt = substr($infofile,-3);
@@ -109,8 +120,7 @@
 //-----------------------------------------------------------------
 function llgbo_RenderContent($content,$element_info )
-{global $template,$conf,$user,$lang;	
+{global $template,$conf,$user,$lang,$themeconf;	
 $template->assign('LLGBO_PATH',LLGBO_PATH);
 include_once(LLGBO_PATH.'/css/sweettitles.css.php');
-include_once(LLGBO_PATH.'/css/gbolook.css.php');
 //-----------------------------------------------------------------
 // -----------  add CSS tooltip in footer --------------------
@@ -133,13 +143,18 @@
 
 function LLGBO_prefilter_Frame($content, &$smarty)
-{ //  begin frame 
+{  global $themeconf;
+// ------------------------
+//  begin frame 
  $search = '<img src="';
-  $replacement = '{if isset($llgbo.TITLE_FRAME)}'."\n".'<span  id="gboh2" style ="background:transparent;z-index:3;color:{$llgbo.TITLE_FRAME_COLOR}">{$llgbo.TITLE_FRAME}</span>';
-  $replacement = $replacement."\n".'{/if}'."\n".'<div  id="gbo" {$llgbo.FRAME_SIZE}>'."\n".'{$llgbo.FRAME_BEGIN}'."\n".$search;
-  $step1 = str_replace($search, $replacement, $content);
-//  End frame   
-  $search = '{foreach from=$current.unique_derivatives item=derivative key=derivative_type}{strip}';
-  $replacement = '{$llgbo.FRAME_END}'."\n"."</div> <!-- end GBO frame -->"."\n".$search;
-    return str_replace($search, $replacement, $step1);
+  $replacement = '{if isset($llgbo.TITLE_FRAME)}'."\n".'<span  id="llgboh2" style ="background:transparent;z-index:3;color:{$llgbo.TITLE_FRAME_COLOR}">{$llgbo.TITLE_FRAME}</span>';
+  $replacement = $replacement."\n".'{/if}'."\n".'<div  id="llgbo" {$llgbo.FRAME_SIZE}>'."\n".'{$llgbo.FRAME_BEGIN}'."\n".$search;
+  $content = str_replace($search, $replacement, $content);
+// ------------------------
+  //  End frame  
+  $search = '{$ALT_IMG}{/if}">';
+ if (( strpos(strtoupper($themeconf['name']) , 'STRIPPED') === 0) ) 
+	{$search = 'class="hideTabs">';}
+  $replacement =  $search."\n".'{$llgbo.FRAME_END}'."\n"."</div> <!-- end GBO frame -->";
+  return str_replace($search, $replacement, $content);
 }
 
Index: /extensions/LLGBO2/template/llgbo_content.tpl
===================================================================
--- /extensions/LLGBO2/template/llgbo_content.tpl	(revision 15075)
+++ /extensions/LLGBO2/template/llgbo_content.tpl	(revision 15076)
@@ -3,13 +3,17 @@
 		{$llgbo.TOOLTIPCSS} 
 {/if}  
-{if  isset($llgbo.GBOCSS)}	 
-		{$llgbo.GBOCSS} 
+{if  isset($llgbo.GBOCSS)}	
+	{ if file_exists($llgbo.GBOCSS) } 
+			{combine_css path=$llgbo.GBOCSS order=+10}
+		{else}
+		  {combine_css path=$LLGBO_PATH|@cat:"css/llgbo_content_default.css" order=+10}
+	{/if} 
 {/if}  
 {if  !isset($llgbo.NOJS)}
 		{if  isset($llgbo.TOOLTIP)}	   
-			{combine_script id='llgbojqtooltip'   require='jquery'  path=$LLGBO_PATH|@cat:"js/jquery_llgbotip.js"}
+			{combine_script id='llgbojqtooltip' load='header' require='jquery'  path=$LLGBO_PATH|@cat:"js/jquery_llgbotip.js"}
 		 {/if}
 		 {if  isset($llgbo.FRAME_BEGIN)}	
-			{combine_script id='llgbojqframe'  require='jquery'  path=$LLGBO_PATH|@cat:"js/jquery_llgboframeresize.js"}
+			{combine_script id='llgbojqframe' load='footer' require='jquery'  path=$LLGBO_PATH|@cat:"js/jquery_llgboframeresize.js" }
 		{/if}
 {/if}