Index: /trunk/language/bg_BG/admin.lang.php
===================================================================
--- /trunk/language/bg_BG/admin.lang.php	(revision 15087)
+++ /trunk/language/bg_BG/admin.lang.php	(revision 15088)
@@ -244,3 +244,58 @@
 $lang['user_status_normal'] = 'Потребител';
 $lang['user_status_webmaster'] = 'Уебмастър';
+$lang['%s must be to set to false in your local/config/config.inc.php file'] = '%s трябва да зададен като "false" във вашия  local/config/config.inc.php файл';
+$lang['%s photos can not be regenerated'] = '%s снимки не могат да бъдат регенерирани';
+$lang['%s photos have been regenerated'] = '%s снимки са регенерирани';
+$lang['%s value is not correct file because exif are not supported'] = '%s стойността е невярна защото EXIF не се подържа';
+$lang['Activate Navigation Bar'] = 'Активено навигационено меню';
+$lang['Activate Navigation Thumbnails'] = 'Активни навигационни миниатюри';
+$lang['Activate comments'] = 'Активиране на коментари';
+$lang['Activate icon "%s"'] = 'Активна икона "%s"';
+$lang['Activate icon "new" next to albums and pictures'] = 'Активна икона "нов" до албум и снимки ';
+$lang['Album "%s" has been added'] = 'Албум "%s" беше добавен';
+$lang['Album "%s" now contains %d photos'] = 'Албум "%s" съдържа сега %d снимки';
+$lang['Album manual order was saved'] = 'Заявката за албума беше записана';
+$lang['Album photos associated to the following albums: %s'] = 'Снимките в албума са асоциирани със следните албуми: %s';
+$lang['Albums authorized thanks to group associations'] = 'Албумите са разрешени благодарение на групави асоциации';
+$lang['All extensions are up to date.'] = 'Всички разширения са актуализирани.';
+$lang['All languages are up to date.'] = 'Всички езици са актуализирани.';
+$lang['All optimizations have been successfully completed.'] = 'Всички оптимизации приключиха успешно.';
+$lang['Allow user customization'] = 'Позволи потребителски настройки';
+$lang['Allow user registration'] = 'Позволи регистрация на потребители';
+$lang['Allow users to delete their own comments'] = 'Позволи на потребителите да изтриват собствените си коментари';
+$lang['Allow users to edit their own comments'] = 'Позволи на потребителите да трият собствените си коментари';
+$lang['Anomaly'] = 'Нередност';
+$lang['Apply to sub-albums'] = 'Приложи за дъщерните албуми';
+$lang['Associate to album'] = 'Свързан с албум';
+$lang['Associated'] = 'Асоцииран';
+$lang['Authorized'] = 'Оторизиран';
+$lang['Automatic correction'] = 'Автоматична корекция';
+$lang['Available only with HTML format'] = 'Налино само с HTML формат';
+$lang['Batch Manager'] = 'Batch Мениджър';
+$lang['By rank'] = 'По ранг';
+$lang['Can\'t connect to server.'] = 'Връзката със сървъра е невъзможна.';
+$lang['Can\'t create temporary file.'] = 'Временен файл не може да бъде създаден.';
+$lang['Can\'t download archive.'] = 'Архива не може да бъде свален.';
+$lang['Can\'t read or extract archive.'] = 'Архива не може да прочетен или извлечен.';
+$lang['Cannot delete the old permalink !'] = 'Старият директен линк неможе да бъде изтрит!';
+$lang['Change Admin Colors'] = 'Промени цветовете в Админ';
+$lang['Check all'] = 'Провери всички';
+$lang['Check automatic corrections'] = 'Провери автоматични корекции';
+$lang['Check for upgrade'] = 'Проверете за ъпгрейд';
+$lang['Choose an action'] = 'Изберете действие';
+$lang['Choose an option'] = 'Изберете опция';
+$lang['Classic display'] = 'Класически изглед';
+$lang['Comments for all'] = 'Коментари за всички';
+$lang['Configuration'] = 'Конфигурация';
+$lang['Correction'] = 'Корекция';
+$lang['Database'] = 'База данни';
+$lang['Date'] = 'Дата';
+$lang['Day'] = 'Ден';
+$lang['an error happened'] = 'възникна грешка';
+$lang['associate to group'] = 'свързан с група';
+$lang['automatic order'] = 'автоматична поръчка';
+$lang['average time'] = 'средно време';
+$lang['clean'] = 'изчистване';
+$lang['confirm'] = 'потвърдение';
+$lang['created'] = 'създаден';
 ?>