Index: /trunk/language/bg_BG/upgrade.lang.php
===================================================================
--- /trunk/language/bg_BG/upgrade.lang.php	(revision 15101)
+++ /trunk/language/bg_BG/upgrade.lang.php	(revision 15102)
@@ -33,5 +33,5 @@
 $lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Като предпазна мярка, следните приставки са били деактивирани. Трябва да проверите за ъпгрейд на приставките преди да ги активирате отново:';
 $lang['As a precaution, following themes have been deactivated. You must check for themes upgrade before reactiving them:'] = 'Като предпазна мярка, следните теми бяха деактивирани. Трябва да проверите за ъпгрейд на темите преди да ги активирате отново:';
-$lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'Във <i>%s</i>, преди <b></b>, добави:';
+$lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'Във <i>%s</i>, преди <b>?></b>, добави:';
 $lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Само миниатюрата на префикса и webmaster имейл адреса бяха запазени от предишната конфигурация';
 $lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Направете проверка за подръжка в  [Administration>Tools>Maintenance] ако имате някакви проблеми.';
Index: /trunk/language/el_GR/upgrade.lang.php
===================================================================
--- /trunk/language/el_GR/upgrade.lang.php	(revision 15101)
+++ /trunk/language/el_GR/upgrade.lang.php	(revision 15102)
@@ -24,5 +24,5 @@
 $lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Ως προληπτικό μέτρο, οι παρακάτω επεκτάσεις έχουν απενεργοποιηθεί. Θα πρέπει να ελέγξετε για αναβαθμίσεις επεκτάσεων πριν από την επανενεργοποίηση τους:';
 $lang['As a precaution, following themes have been deactivated. You must check for themes upgrade before reactiving them:'] = 'Ως προληπτικό μέτρο, τα ακόλουθα Θέματα έχουν απενεργοποιηθεί. Θα πρέπει να ελέγξετε για  αναβάθμιση Θεμάτων πριν από την επανενεργοποίηση τους:';
-$lang['In <i>%s</i>, before <b></b>, insert:'] = 'Σε <i>%s</ i>, πριν <b></b>, εισάγετε:';
+$lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'Σε <i>%s</ i>, πριν <b>?></b>, εισάγετε:';
 $lang['Only administrator can run upgrade: please sign in below.'] = 'Μόνο ένας διαχειριστής μπορεί να τρέξει αναβάθμιση: Παρακαλώ συνδεθείτε παρακάτω. ';
 $lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Μόνο τα προθέματα μικρογραφιών και η διεύθυνση ηλεκτρονικού ταχυδρομείου του webmaster έχουν σωθεί από προηγούμενες διαμορφώσεις';
Index: /trunk/language/fa_IR/upgrade.lang.php
===================================================================
--- /trunk/language/fa_IR/upgrade.lang.php	(revision 15101)
+++ /trunk/language/fa_IR/upgrade.lang.php	(revision 15102)
@@ -41,4 +41,3 @@
 $lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'در <i>%s</i>, قبل از <b>?></b>, اضافه کنید:';
 $lang['As a precaution, following themes have been deactivated. You must check for themes upgrade before reactiving them:'] = 'هشدار، قالب های زیر در حال حاضر از کار افتاده اند. برای امنیت بیشتر، قبل از فعال کردن دوباره ی آن ها باید آپگرید های تازه آنها را بررسی کنید:';
-$lang['In <i>%s</i>, before <b></b>, insert:'] = 'در <i>%s</i>، قبل از <b></b>، اضافه کنید:';
 ?>
Index: /trunk/language/ro_RO/upgrade.lang.php
===================================================================
--- /trunk/language/ro_RO/upgrade.lang.php	(revision 15101)
+++ /trunk/language/ro_RO/upgrade.lang.php	(revision 15102)
@@ -24,5 +24,5 @@
 $lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Ca precatuie urmatoarele pluginuri au fost dezactivate. Trebuie sa le verifici de actualizari inainte de a le activa';
 $lang['As a precaution, following themes have been deactivated. You must check for themes upgrade before reactiving them:'] = 'Ca precautie urmatoarele teme au fost dezactivate. Trebuie sa verifici de actualizari inainte de a le activa.';
-$lang['In <i>%s</i>, before <b></b>, insert:'] = 'In <i>%s</i>, inainte de <b></b>, insert:';
+$lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'In <i>%s</i>, inainte de <b>?></b>, insert:';
 $lang['Only administrator can run upgrade: please sign in below.'] = 'Numai un administrator poate face upgrade. Te rog logheaza-te mai jos.';
 $lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Numai prefixurile thumbnailurilor si adresa de mail a webmasterului au fost salvate';
Index: /trunk/language/sh_RS/upgrade.lang.php
===================================================================
--- /trunk/language/sh_RS/upgrade.lang.php	(revision 15101)
+++ /trunk/language/sh_RS/upgrade.lang.php	(revision 15102)
@@ -41,4 +41,4 @@
 $lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = "Samo prefix za povezne sličice i webmaster e-mail adresa su sačuvane iz prethodne konfiguracije";
 $lang['As a precaution, following themes have been deactivated. You must check for themes upgrade before reactiving them:'] = 'Iz predustrožnosti, sledeće teme su deaktivirane. Proverite nadogradnje tema pre nego što ih reaktivirate:';
-$lang['In <i>%s</i>, before <b></b>, insert:'] = 'U <i>%s</i>, pre <b></b>, dodajte:';
+$lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'U <i>%s</i>, pre <b>?></b>, dodajte:';
 ?>
Index: /trunk/language/uk_UA/upgrade.lang.php
===================================================================
--- /trunk/language/uk_UA/upgrade.lang.php	(revision 15101)
+++ /trunk/language/uk_UA/upgrade.lang.php	(revision 15102)
@@ -24,5 +24,5 @@
 $lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'В якості запобіжного заходу, наступні плаґіни були відключені. Ви повинні перевіряти оновлення плагінів до їх відновлення:';
 $lang['As a precaution, following themes have been deactivated. You must check for themes upgrade before reactiving them:'] = 'В якості запобіжного заходу, теми вони були відключені. Ви повинні перевірити оновлення перед тим як активуєте їх:';
-$lang['In <i>%s</i>, before <b></b>, insert:'] = 'В <i>%s</i>, до <b></b>, вставити:';
+$lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'В <i>%s</i>, до <b>?></b>, вставити:';
 $lang['Only administrator can run upgrade: please sign in below.'] = 'Тільки адміністратор може запустити оновлення: увійдіть у систему нижче.';
 $lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Тільки префікс мініатюр та адресу електронної пошти веб-майстра збережено збережено від попередньої конфігурації';