Index: extensions/LLGBO2/js/jquery_llgbotip.js
===================================================================
--- extensions/LLGBO2/js/jquery_llgbotip.js	(revision 15104)
+++ extensions/LLGBO2/js/jquery_llgbotip.js	(revision 15107)
@@ -2,11 +2,11 @@
 	/* CONFIG */		
 		// these 2 variables determine popup's gap from the cursor		
-		xGap = 10;
-		yGap = 10;
-		MyTT = "";
-		MainTitle ="";
+	var	xGap = 10;
+	var	yGap = 10;
+	var	MyTT = "";
+	var	MainTitle ="";
 		
-		maxTop = 0;
-		maxLeft =0;
+	var	maxTop = 0;
+	var	maxLeft =0;
         
 	/* END CONFIG */	
@@ -69,5 +69,5 @@
 	});	
 	    var updateXY = function(e) {
-			var xLeft,xCord;
+			var xLeft,yCord,xCord;
             MyTT = jQuery("#toolTip");
 			var wT = MyTT.width() + 6 /* border */+ xGap;
Index: extensions/LLGBO2/language/nl_NL/description.txt
===================================================================
--- extensions/LLGBO2/language/nl_NL/description.txt	(revision 15104)
+++ extensions/LLGBO2/language/nl_NL/description.txt	(revision 15107)
@@ -3,3 +3,3 @@
 -Toon een rand om een afbeelding.
 -voeg navigatie toe aan een plaatje.
--Toon banner alleen op de eerste pagina en op extra pagina's. 
+-Toon banner alleen op de eerste pagina en op extra paginas. 
Index: extensions/LLGBO2/language/nl_NL/plugin.lang.php
===================================================================
--- extensions/LLGBO2/language/nl_NL/plugin.lang.php	(revision 15104)
+++ extensions/LLGBO2/language/nl_NL/plugin.lang.php	(revision 15107)
@@ -21,28 +21,23 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['Howto'] = 'Deze plugin beheert de vormgeving van de afbeeldingspagina.';
+$lang['Howto'] = 'Deze plugin beheerd de afbeeldings pagina vormgeving';
 $lang['Step1_Title'] = 'Plugin instellingen';
 $lang['Title'] = 'Looks like GBo';
 $lang['preview'] = 'Voorvertoning';
-$lang['save'] = 'Opslaan';
+$lang['save'] = 'Bewaar';
 $lang['submit'] = 'Verstuur';
-$lang['Reset_To_Default'] = 'Herstel standaardwaarden';
+$lang['Reset_To_Default'] = 'Herstel standaard waarden';
 $lang['Step2_Title'] = 'Tooltip instellingen';
 $lang['Step3_Title'] = 'Frame instellingen';
 $lang['Step4_Title'] = 'Toon/verberg de header van elke pagina';
-$lang['llgbo_dispinshadowbox'] = 'Toon in schaduwbox-->';
-$lang['llgbo_exifunderbt'] = 'Speciale tooltip voor EXIF bij muisover';
+$lang['llgbo_dispinshadowbox'] = 'Toon in schaduwbox';
+$lang['llgbo_exifunderbt'] = 'Speciale tooltip voor een EXIF bij muisover';
 $lang['llgbo_frame'] = 'Beheer frame om de afbeelding';
-$lang['llgbo_hdShadowbox'] = 'Compliance HD Schaduwbox en navigatie op afbeelding. <br> HD Schaduwbox moet geactiveerd zijn!';
+$lang['llgbo_hdShadowbox'] = 'Compliance HD Schaduwbox en navigatie op afbeelding. <br> HD Schaduwbox moet worden geactiveerd!';
 $lang['llgbo_header'] = 'Beheer header weergave';
 $lang['llgbo_maintain_header'] = 'Onderhoud header van de volgende pagina\'s';
-$lang['llgbo_tooltip'] = 'Speciale tooltips (foto\'s en miniaturen) bij muisover:';
-$lang['llgbo_usemap'] = 'Voeg navigatiebalk toe aan afbeelding:';
-$lang['llgo_warning_setting'] = 'om met het Gally thema te gebruiken, moet de plugin cl_conflit geïnstalleerd zijn';
-$lang['llgbo_default_navthumb'] = 'Onderdruk Prev_Next thumbnails standaardafbeelding:';
-$lang['llgbo_info'] = '(^_^) Instellingen gewijzigd';
-$lang['llgbo_title_frame'] = 'Toon afbeeldingstitel op de rand';
-$lang['llgbo_usemap_thumb'] = 'Toon thumbnails indien navigatie actief is op de afbeelding:';
-$lang['llgo_tooltip_width'] = 'Tooltipbreedte';
+$lang['llgbo_tooltip'] = 'Speciale tooltips (foto\'s en miniaturen) bij muisover';
+$lang['llgbo_usemap'] = 'Voeg navigatie balk toe aan afbeelding';
+$lang['llgo_warning_setting'] = 'om met het Gally thema the gebruiken, moet de plugin cl_confit geïnstalleerd worden';
 /*TODO*/$lang['llgbo_header_thePiwiShackControllerPage']= 'Display header on the plugin  PiwiShack Controller Page';
 ?>
Index: extensions/LLGBO2/main.inc.php
===================================================================
--- extensions/LLGBO2/main.inc.php	(revision 15104)
+++ extensions/LLGBO2/main.inc.php	(revision 15107)
@@ -9,5 +9,5 @@
 Add a border around  picture ......
 	2.4.A Compliance Piwigo 2.4 + jquery
-	2.4.B Compliance Theme Stripped and plugin Piwishak  
+	2.4.B Compliance with Theme Stripped and plugin Piwishak  
  */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
@@ -67,14 +67,5 @@
 { global $template,$conf;
 $infofile = $template->get_template_vars('INFO_FILE'); 
-//----------------------------------------------------	 
-//-------    Tooltip    Arrow Stripped   -------------	 
-//----------------------------------------------------	
-$prev = $template->get_template_vars('previous');
-$next  = $template->get_template_vars('next');
-$swtimg =   '||<img src=';	
-// If (($conf['LLGBO_SETTINGS'][1]  == 'true' ) and ($conf['LLGBO_SETTINGS'] [2]  == 'true' ))//   tooltip  
-// {   if (isset($prev)){$template->append('previous',  array('TITLE' =>  $prev['TITLE'].$swtimg.$prev['THUMB_SRC'].'>'),TRUE);}
-//	if (isset($next)){$template->append('next',  array('TITLE' =>  $next['TITLE'].$swtimg.$next['THUMB_SRC'].'>'),TRUE);}
-//	}
+
 // ---- Metadata ----------	
 $pictExt = substr($infofile,-3);
Index: extensions/LLGBO2/template/llgbo_content.tpl
===================================================================
--- extensions/LLGBO2/template/llgbo_content.tpl	(revision 15104)
+++ extensions/LLGBO2/template/llgbo_content.tpl	(revision 15107)
@@ -12,5 +12,5 @@
 {if  !isset($llgbo.NOJS)}
 		{if  isset($llgbo.TOOLTIP)}	   
-			{combine_script id='llgbojqtooltip' load='header' require='jquery'  path=$LLGBO_PATH|@cat:"js/jquery_llgbotip.js"}
+			{combine_script id='llgbojqtooltip' load='footer' require='jquery'  path=$LLGBO_PATH|@cat:"js/jquery_llgbotip.js"}
 		 {/if}
 		 {if  isset($llgbo.FRAME_BEGIN)}	