Index: /trunk/language/fa_IR/admin.lang.php
===================================================================
--- /trunk/language/fa_IR/admin.lang.php	(revision 15142)
+++ /trunk/language/fa_IR/admin.lang.php	(revision 15143)
@@ -222,6 +222,6 @@
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'زمان اجرا بدلیل کندی به پایان رسید، کار باید ادامه پیدا کند [زمان تخمینی: %d ثانیه].';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'زمان اجرا بیشتر از حالت عادی است، کار باید ادامه پیدا کند [زمان تخمینی: %d ثانیه].';
-$lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = "The time to prepare the list of users who will be sent mail is limited. Others users are not listed.";
-$lang['Time to send mail is limited. Others mails are skipped.'] = "The time to send mail is limited. Others mails have been skipped.";
+$lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'زمان آماده ساختن فهرست کاربرانی که به آنها ایمیل فرستاده می شود محدود است. کاربران دیگر جز فهرست قرار نخواهند گرفت.';
+$lang['Time to send mail is limited. Others mails are skipped.'] = 'زمان برای فرستادن ایمیل محدود است. بقیه ی ایمیل ها نادیده گرفته می شوند.';
 $lang['To send ?'] = 'فرستادن به؟';
 $lang['Last send'] = 'آخرین فرستاده';
@@ -347,5 +347,5 @@
 $lang['Update photos information'] = 'بروز رسانی اطلاعات عکس ها';
 $lang['Synchronize'] = 'همگام سازی';
-$lang['reduce to single existing albums'] = "reduce to single existing categories";
+$lang['reduce to single existing albums'] = 'کاهش دادن به تک آلبوم های موجود';
 $lang['Choose an option'] = 'یک گزینه را انتخاب کنید';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'نمایش حداکثر اطلاعات (آلبوم ها و عکس های افزوده شده، آلبوم ها و عکس های پاک شده)';
@@ -399,5 +399,5 @@
 $lang['Element'] = 'شی';
 $lang['Section'] = "بخش";
-$lang['An information email was sent to group "%s"'] = "Information email sent to group \"%s\"";
+$lang['An information email was sent to group "%s"'] = 'ایمیل اطلاعات به گروه "%s" فرستاده شد';
 $lang['Send an information email to group members'] = 'فرستادن یک ایمیل اطلاعات به اعضای گروه';
 $lang['Group'] = 'گروه';
@@ -461,5 +461,5 @@
 $lang['Level 4'] = "خانواده";
 $lang['Level 8'] = "مدیران";
-$lang['Reinitialize check integrity'] = "Reinitialize integrity check";
+$lang['Reinitialize check integrity'] = 'مقداردهی دوباره برای بررسی کامل';
 $lang['Check all'] = "علامت‌زدن همه";
 $lang['Uncheck all'] = "برداشتن علامت همه";
@@ -508,5 +508,5 @@
 $lang['Templates'] = 'قالب ها';
 $lang['Extend for templates'] = 'باز کردن (گسترش) قالب ها';
-$lang['Replacement of original templates by customized templates from template-extension subfolder'] = "Replacement of original templates by customized templates from the template-extension subfolder";
+$lang['Replacement of original templates by customized templates from template-extension subfolder'] = 'جایگزین کردن قالب های اصلی با قالب های سفارشی شده ، به کمک پوشه ی گشترش دهندگان قالب';
 $lang['Replacers (customized templates)'] = 'جایگزینی (قالب های سفارشی شده)';
 $lang['Original templates'] = 'قالب های اصلی';
@@ -535,5 +535,5 @@
 $lang['Number of downloads'] = "دفعات دانلود";
 $lang['Piwigo Announcements Newsletter'] = 'اعلان خبرنامه ی Piwigo';
-$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = "Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will be sent emails when a new release is available (sometimes including a security bug fix, it is important to know and upgrade) and when major events happen to the project. Only a few emails a year.";
+$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'با پروژه Piwigo در تماس باشید و در خبرنامه اطلاعیه های Piwigo عضو شوید. زمانی که نگارش های تازه آماده شود به شما ایمیل فرستاده می شود (بعضی مواقع شامل روش حل یک مشکل امنیتی نیز می شود که دانستن و رفع آن مهم است) و یا زمانی که اتفاقات بزرگی برای پروژه رخ می دهد. فقط تعداد کمی ایمیل در سال فرستاده می شود.';
 $lang['Subscribe %s'] = "اشتراک %s";
 $lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'اشتراک %s برای خبرنامه ی Piwigo';
@@ -568,5 +568,5 @@
 $lang['Uploaded Photos'] = 'عکس های آپلود شده';
 $lang['%d photos uploaded'] = '%d عکس آپلود شدند';
-$lang['Privacy level set to "%s"'] = 'Privacy level set to "%s"';
+$lang['Privacy level set to "%s"'] = 'سطح خصوصی بر روی "%s" تنظیم شده است';
 $lang['Album "%s" now contains %d photos'] = 'آلبوم "%s" شامل %d تصویر است';
 $lang['Manage this set of %d photos'] = 'ادغام این سِت با %d تعداد عکس';
@@ -614,5 +614,5 @@
 $lang['Activate Navigation Bar'] = 'فعال کردن هدایت گر';
 $lang['Activate Navigation Thumbnails'] = 'فعال کردن هدایت گر عکس ریزه ها';
-$lang['Activate icon "%s"'] = 'فعال‌کردن آیکن "%s"';
+$lang['Activate icon "%s"'] = 'فعال کردن آیکن "%s"';
 $lang['Photo Properties'] = 'ویژگی های عکس';
 $lang['Allow user customization'] = 'اجازه دادن به کاربر برای سفارشی کردن';
@@ -812,5 +812,5 @@
 $lang['The original maximum height must be a number between %d and %d'] = 'بیشترین بلندای اصلی عکس باید عددی بین %d و %d باشد';
 $lang['The original maximum width must be a number between %d and %d'] = 'بیشترین پهنای اصلی عکس باید عددی بین %d و %d باشد';
-$lang['This is a minor update, with only bug corrections.'] = 'این یک بروز رسانی اصلی است، که در آن چند مشکل امنیتی اصلاح شده است.';
+$lang['This is a minor update, with only bug corrections.'] = 'این یک بروز رسانی کوچک است که در آن چند مشکل امنیتی اصلاح شده است.';
 $lang['Thumbnails generation in progress...'] = 'در حال تولید عکس ریزه...';
 $lang['Unlock gallery'] = 'باز کردن گالری';
@@ -825,5 +825,22 @@
 $lang['Added by %s'] = 'اضافه شده توسط %s';
 $lang['Original file : %s'] = 'فایل اصلی : %s';
-$lang['Posted %s on %s'] = 'ارسال شده توسط %s در %s';
+$lang['Posted %s on %s'] = 'فرستاده شده توسط %s در %s';
 $lang['Visited %d times'] = '%s مرتبه نمایش داده شده';
+$lang['Activate icon "new" next to albums and pictures'] = 'فعال کردن آیکن "تازه" در کنار آلبوم ها و عکس ها';
+$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'یک خطا هنگام باز کردن (Extract) فایل رخ داده است. خواهشمند است تنظیمات دسترسی نصب خود را بررسی کنید.
+<br>
+برای مشاهده ی جزئیات خطا <a href="%s">اینجا کلیک کنید</a>.';
+$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'اگر سایز عکس HD نباشد و اگر وب سایز کنونی بزرگ تر از اندازه ی پس از تغییر سایز عکس باشد، Piwigo عکس را بعنوان HD جابجا کرده و یک سایز کوچکتر برای آن می سازد.';
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'ضمیمه کردن داده ی تاریخ (هشدار: ممکن است به حافظه ی سرور فشار بیاورد)';
+$lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'دریافت Piwigo برای iOS (iPhone, iPad, iPod Touch)';
+$lang['Save visits in history for'] = 'ذخیره کردن بازدید ها برای مدت';
+$lang['This album contains %d photos, added between %s and %s.'] = 'این آلبوم شامل %d عکس می باشد که بین %s و %s اضافه شده اند.';
+$lang['This album contains %d photos, added on %s.'] = 'این آلبوم شامل %d عکس می باشد که در %s اضافه شده اند.';
+$lang['This album contains no photo.'] = 'هیچ عکسی در این آلبوم وجود ندارد.';
+$lang['This is a major update, with <a href="%s">new exciting features</a>.'] = 'این یک بروز رسانی مهم است و دارای <a href="%s">ویژگی های جالب و تازه</a> می باشد.';
+$lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = 'در حال حاضر شما از آپلود کننده ی مرورگر خود استفاده می کنید. می توانید <a href="%s">آپلود کننده ی فلش</a> را برای سرعت بیشتر امتحان کنید.';
+$lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = 'در حال حاضر شما از آپلود کننده ی فلش استفاده می کنید. اگر مشکلی دارید، می توانید از <a href="%s">آپلود کننده ی مرورگر</a> خود استفاده کنید.';
+$lang['You can update to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'] = 'شما میتوانید مستقیم نگارش خود را به %s تغییر دهید، بدون آنکه %s را نصب کنید. (این روش پیشنهاد می شود)';
+$lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = 'شما می توانید ترتیب چیده شدن عکس های خود را به پیشفرض تغییر بدهید، در حال حاضر شما از تنظیمات سفارشی استفاده می کنید.';
+$lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = 'شما <i>$conf[\'order_by\']</i> را برای تنظیمات محلی (Local) خود تعیین کرده اید و این پارامتر در حال حاضر به مشکل برخورده است. خواهشمند است آن را پاک کرده یا نام آنرا به <i>$conf[\'order_by_custom\']</i> تغییر دهید !';
 ?>